<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>

<li class="p-3 pt-0" style="color: #999;">GENERAL</li>

<li class="nav-item">
  <a href="<?= ($page == 'dashboard') ? 'javascript:void(0)' : base_url('ipanel'); ?>" class="nav-link <?= ($page == 'dashboard') ? 'active' : 'linking'; ?>">
    <span class="ix ix-dashboard"></span> <span>Dashboard</span>
  </a>
</li>

<li class="nav-item drop">
  <a href="javascript:void(0)" class="nav-link <?= (in_array($page, ['inventory', 'product_items', 'inventory_category', 'online_inventory'])) ? 'active activ8' : ''; ?> drop-toggle" onclick="this.classList.toggle('active')">
    <span><span class="ix ix-archive"></span> Inventory Management</span><i class="bi-chevron-down"></i>
  </a>
  <div class="drop-menu">
    <?php if ($this->session->userdata('prosc_admin')) : ?>
      <a href="<?= base_url('ipanel/pop/inventory'); ?>" class="nav-link <?= ($page == 'inventory') ? 'active' : ''; ?>" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Select Warehouse/Outlet">Inventory</a>
      <a href="<?= base_url('ipanel/online_inventory.aspx') ?>" class="nav-link <?= ($page == 'online_inventory') ? 'active' : 'linking'; ?>">Online Inventory</a>
      <a href="<?= base_url('ipanel/product_items.aspx') ?>" class="nav-link <?= ($page == 'product_items') ? 'active' : 'linking'; ?>">Product Items</a>
      <a href="<?= base_url('ipanel/inventory_category.aspx') ?>" class="nav-link <?= ($page == 'inventory_category') ? 'active' : 'linking'; ?>">Inventory Category</a>
    <?php elseif ($this->session->userdata('prosc_type') == 3) : ?>
      <a href="<?= base_url('ipanel/online_inventory.aspx'); ?>" class="nav-link <?= ($page == 'online_inventory') ? 'active' : 'linking'; ?>">Inventory</a>
    <?php else : ?>
      <a href="<?= base_url('ipanel/inventory.aspx?target=' . $_SESSION['prosc_warehouse']); ?>" class="nav-link <?= ($page == 'inventory') ? 'active' : 'linking'; ?>">Inventory</a>
    <?php endif; ?>
  </div>
</li>

<li class="nav-item d-none">
  <span class="nav-link <?= ($page == 'profile') ? 'active' : ''; ?>">Profile Manager</span>
</li>

<?php if ($this->session->userdata('prosc_admin')) : ?>
  <li class="nav-item d-none">
    <span class="nav-link <?= ($page == 'warehouses') ? 'active' : ''; ?>">
      <button class="btn" onclick="history.back()"><span class="bi-arrow-left"></span></button> <span>Warehouse Setting</span>
    </span>
  </li>
  <!-- Repeat for other hidden items... -->
<?php endif; ?>

<li class="nav-item drop">
  <?php if ($this->session->userdata('prosc_admin')) : ?>
    <a href="javascript:void(0)" class="nav-link <?= (in_array($page, ['supply_products', 'production', 'supply_client', 'supply_request', 'details', 'supply_track'])) ? 'active activ8' : ''; ?> drop-toggle" onclick="this.classList.toggle('active')">
      <span><span class="bi bi-basket-fill"></span> Supply</span><span class="ix ix-chevron rotate-90"></span>
    </a>
    <div class="drop-menu">
      <a href="<?= base_url('ipanel/supply_products.aspx') ?>" class="nav-link <?= ($page == 'supply_products') ? 'active' : 'linking'; ?>">Supply Products</a>
      <a href="<?= base_url('ipanel/supply_client.aspx') ?>" class="nav-link <?= (in_array($page, ['supply_client', 'supply_track'])) ? 'active' : 'linking'; ?>">Supply Client</a>
      <a href="<?= base_url('ipanel/supply_request.aspx') ?>" class="nav-link <?= (in_array($page, ['supply_request', 'details'])) ? 'active' : 'linking'; ?>">Supply Request</a>
    </div>
  <?php elseif ($this->session->userdata('prosc_type') == 3 or $this->session->userdata('prosc_outlet')) : ?>
    <a href="<?= base_url('ipanel/outlet_request.aspx') ?>" class="nav-link <?= ($page == 'outlet_requests') ? 'active' : 'linking'; ?>"><span class="bi bi-basket-fill"></span> Supply Request</a>
  <?php endif; ?>
</li>


<!-- Admin and Warehouse or Outlet staff -->

<?php if ($this->session->userdata('prosc_type') != 3) : ?>
  <?php $n = $this->input->get('n'); ?>
  <li class="nav-item drop">
    <a href="javascript:void(0)" class="nav-link <?= (in_array($page, ['sales', 'sales_chart', 'sales_prepare', 'online_sales', 'point_of_sales'])) ? 'active activ8' : ''; ?> drop-toggle" onclick="this.classList.toggle('active')">
      <span><span class="ix ix-coin"></span> Sales</span><span class="ix ix-chevron rotate-90"></span>
    </a>
    <div class="drop-menu">
      <a href="<?= ($page == 'sales') ? 'javascript:void(0)' : base_url('ipanel/sales.aspx'); ?>" class="nav-link <?= ($page == 'sales') ? 'active' : 'linking'; ?>">
        <span>Create Sale</span>
      </a>
      <!-- <a href="<?= ($page == 'sales_history') ? 'javascript:void(0)' : base_url('ipanel/sales_prep.aspx?n=sales'); ?>" class="nav-link <?= ($page == 'sales_history' or $n == 'sales_history') ? 'active' : 'linking'; ?>"><span>Sales History</span></a> -->
      <a href="<?= ($page == 'sales_chart') ? 'javascript:void(0)' : base_url('ipanel/sales_prep.aspx?n=sales_chart'); ?>" class="nav-link <?= ($page == 'sales_chart' or $n == 'sales_chart') ? 'active' : 'linking'; ?>"><span>Sales Chart</span></a>
      <a href="<?= ($page == 'point_of_sales') ? 'javascript:void(0)' : base_url('ipanel/point_of_sales.aspx'); ?>" class="nav-link <?= ($page == 'point_of_sales' or $n == 'point_of_sales') ? 'active' : 'linking'; ?>"><span>Point of sale</span></a>
      <a href="<?= ($page == 'online_sales') ? 'javascript:void(0)' : base_url('ipanel/online_sales.aspx'); ?>" class="nav-link <?= ($page == 'online_sales') ? 'active' : 'linking'; ?>"><span>Online Sales</span></a>
    </div>
  </li>
<?php endif; ?>

<!-- Warehouse or Outlet staff -->
<?php if ($this->session->userdata('prosc_outlet')) : ?>
  <li class="nav-item">
    <a href="<?= ($page == 'waybill' or $page == 'waybill_supply') ? 'javascript:void(0)' : base_url('ipanel/waybill.aspx') ?>" class="nav-link <?= ($page == 'waybill' or $page == 'waybill_supply') ? 'active' : 'linking' ?>">
      <?php if (isset($_SESSION['prosc_way_token'])) { ?>
        <span class="btn sub-url" data-ref="<?= base_url('reset/waybill') ?>"><span class="ix ix-arrow-left settings"></span></span>
      <?php } ?><span class="ix ix-mail"></span> Waybill</a>
  </li>
<?php endif; ?>


<!-- Admin and online staff -->

<?php if ($this->session->userdata('prosc_admin') or $this->session->userdata('prosc_type') == 3) : ?>
  <li class="nav-item drop">
    <a href="javascript:void(0)" class="nav-link <?= (in_array($page, ['orders', 'waybill'])) ? 'active activ8' : ''; ?> drop-toggle" onclick="this.classList.toggle('active')">
      <span><i class="bi bi-box-seam-fill"></i> Order processing</span><span class="ix ix-chevron rotate-90"></span>
    </a>
    <div class="drop-menu">
      <a href="<?= ($page == 'orders') ? 'javascript:void(0)' : base_url('ipanel/orders.aspx') ?>" class="nav-link <?= ($page == 'orders') ? 'active' : 'linking' ?>">Online Sales</a>
      <a href="<?= ($page == 'waybill') ? 'javascript:void(0)' : base_url('ipanel/waybill.aspx') ?>" class="nav-link <?= ($page == 'waybill') ? 'active' : 'linking' ?>">
        <?php if (isset($_SESSION['prosc_way_token'])) { ?>
          <span class="btn sub-url" data-ref="<?= base_url('reset/waybill') ?>"><span class="ix ix-arrow-left settings"></span></span>
        <?php } ?> Waybill</a>
  </li>
  <li class="nav-item drop">
    <a href="<?= ($page == 'shipping') ? 'javascript:void(0)' : base_url('ipanel/shipping.aspx') ?>" class="nav-link <?= ($page == 'shipping') ? 'active' : 'linking' ?>"><i class="bi bi-truck-flatbed"></i> Shipping</a>
  </li>
<?php endif; ?>

<!-- Warehouse or Outlet staff and online staff -->
<?php if ($this->session->userdata('prosc_outlet') or $this->session->userdata('prosc_type') == 3) : ?>
  <li class="nav-item">
    <a href="<?= ($page == 'expenses') ? 'javascript:void(0)' : base_url('ipanel/expenses.aspx'); ?>" class="nav-link <?= ($page == 'expenses') ? 'active' : 'linking'; ?>">
      <span class="ix ix-fuel"></span> <span>Expenses</span>
    </a>
  </li>
  <li class="nav-item">
    <a href="<?= ($page == '_staff_performance') ? 'javascript:void(0)' : base_url('ipanel/staff_performance.aspx'); ?>" class="nav-link <?= ($page == 'staff_performance') ? 'active' : 'linking'; ?>">
      <span class="bi-people-fill"></span> &nbsp; <span>Staff Performance</span>
    </a>
  </li>
<?php endif; ?>

<!-- Admin only -->

<?php if ($this->session->userdata('prosc_admin')) : ?>

  <li class="nav-item">
    <a href="<?= ($page == 'customers') ? 'javascript:void(0)' : base_url('ipanel/customers.aspx'); ?>" class="nav-link <?= ($page == 'customers') ? 'active' : 'linking'; ?>">
      <span class="ix ix-person-menu"></span> <span>Customers</span>
    </a>
  </li>
  <li class="nav-item">
    <a href="<?= ($page == 'staff') ? 'javascript:void(0)' : base_url('ipanel/staff.aspx'); ?>" class="nav-link <?= ($page == 'staff') ? 'active' : 'linking'; ?>">
      <span class="ix ix-persons"></span> <span>Staff</span>
    </a>
  </li>
  <li class="nav-item drop">
    <a href="javascript:void(0)" class="nav-link <?= (in_array($page, ['account_type', 'chart_of_account', 'expenses'])) ? 'active activ8' : ''; ?> drop-toggle" onclick="this.classList.toggle('active')">
      <span><span class="ix ix-fuel"></span> Accounting</span><span class="ix ix-chevron rotate-90"></span>
    </a>
    <div class="drop-menu">
      <a href="<?= base_url('ipanel/account_type.aspx') ?>" class="nav-link <?= ($page == 'account_type') ? 'active' : 'linking'; ?>">Account Type</a>
      <a href="<?= base_url('ipanel/account.aspx') ?>" class="nav-link <?= ($page == 'chart_of_account') ? 'active' : 'linking'; ?>">Chart of Account</a>
      <a href="<?= base_url('ipanel/expenses.aspx') ?>" class="nav-link <?= ($page == 'expenses') ? 'active' : 'linking'; ?>">Expenses</a>
    </div>
  </li>
  <hr style="border: 2px solid #ccc;" />
  <li class="p-3" style="color: #999;">OTHERS</li>
  <li class="nav-item">
    <a href="<?= base_url('ipanel/complaints.aspx'); ?>" class="nav-link <?= ($page == 'complaints') ? 'active' : 'linking'; ?>">
      <span class="ix bi-envelope-at-fill"></span> <span>Complaints</span>
    </a>
  </li>
  <li class="nav-item">
    <a href="<?= base_url('ipanel/settings.aspx'); ?>" class="nav-link <?= (in_array($page, ['settings', 'warehouses', 'outlets', 'kpi_update', 'kpi', 'settings_pos', 'shipping_settings', 'staff_setting', 'preferences'])) ? 'active' : 'linking'; ?>">
      <span class="ix ix-3dots"></span> <span>Settings</span>
    </a>
  </li>
<?php endif; ?>

<li class="nav-item">
  <a href="<?= base_url('signout'); ?>" class="nav-link d-block d-md-none" data-bs-toggle="modal" data-bs-target="#mModalX" data-title="Log out">
    <i class="bi-power text-danger"></i> Log out
    <span class="msg d-none">Click <b class="text-secondary">YES</b> to confirm sign out</span>
  </a>
</li>