<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<div class="container-fluid pt-2">
<!--   <div class="text-end">
    <div class="dropdown">
      <button class="btn dropdown-toggle border rounded justify-content-between d-inline-flex align-items-center" style="min-width: 160px" data-bs-toggle="dropdown">All </button>
      <div class="dropdown-menu">
        <a href="#all" class="dropdown-item flex-space filter">All <i class="bi-check-square-fill text-success"></i></a>
        <a href="#inv" class="dropdown-item flex-space filter">Inventory <i class="bi-square"></i></a>
        <a href="#sup" class="dropdown-item flex-space filter">Supply <i class="bi-square"></i></a>
        <a href="#req" class="dropdown-item flex-space filter">Requests <i class="bi-square"></i></a>
      </div>
    </div>
  </div> -->
  <div class="container rounded">
    <!-- <a href="javascript:void(0)" class="btn py-3 rounded-0 hover-shade flex-space align-items-center border-bottom">
      <div><span style="width: 24px" class="d-inline-block text-start"><i class="bi-plus-lg"></i></span> <b>Test Notice</b></div>
      <div class="d-flex align-items-center"><time class="text-sm pe-3 timeago" datetime="2023-08-14"></time> <i class="ix ix-chevron"></i></div>
    </a> -->
<?php if (count($lows) > 0): ?>
    <h6 class="p-3 flex-space mt-3 mb-0 animate-pulse" style="cursor: pointer;" data-bs-toggle="collapse" onclick="$('span', $(this)).toggle('rotate-90 rotate-270')" href="#lows">Low Inventory <span class="ix ix-chevron rotate-90"></span></h6>
    <div class="collapse" id="lows">
   <?php foreach ($lows as $out): ?>
      <a href="<?= base_url('ipanel/inventory.aspx?target='.$out) ?>" class="btn py-3 rounded-0 hover-shade flex-space border-bottom faze">
        <div><span style="width: 24px" class="text-start"><span class="ix ix-exclamation"></span></span> Low Inventory at <b><?= $outlet[$out] ?></b></div>
        <div class="d-flex align-items-center"><span class="text-sm pe-3">now</span> <i class="ix ix-chevron"></i></div>
      </a>
   <?php endforeach ?>
    </div>
<?php endif ?>

<?php
  $day = '';
  foreach ($data as $row) {
    if (date('Y-m-d', strtotime($row['created_at'])) !== $day) {
      $day = date('Y-m-d', strtotime($row['created_at']));
      ?><h5 class="text-secondary pt-4 pb-3 mb-0"><?= ($day == date('Y-m-d')) ? 'Today' : date('D m d, Y', strtotime($row['created_at'])) ?></h5><?php
    }
    $icon = ($row['type'] == 'supply') ? 'ix-truck' : 'ix-exclamation';
  ?>

    <a href="<?= $row['notifier_url'] ?>" class="btn py-3 rounded-0 hover-shade flex-space border-bottom<?= (strstr($row['views'], $_SESSION['prosc_user']) == '') ? ' faze' : ''; ?>">
      <div><span style="width: 24px" class="d-inline-block text-start"><span class="ix <?= $icon; ?>"></span></span> <?= $row['title'] ?></div>
      <div class="d-flex align-items-center"><time class="text-sm pe-3 exact-time" datetime="<?= $row['created_at']; ?>"></time><i class="ix ix-chevron"></i></div>
     
    </a>
<?php
  } 
  if (count($data) == 0 && count($lows) == 0) {
?><div class="p-5 text-danger text-center">No data available</div>
<?php
  }
?>
      </tbody>
    </table>
  </div>
</div>
<!-- changes made to the time set -->
<!-- <script type="text/javascript" src="<?= base_url('assets/js/jquery.timeago.js'); ?>"></script> -->
<script type="text/javascript">
  $('.exact-time').each(function() {
    var date = new Date($(this).attr('datetime'));
    var hours = date.getHours();
    var minutes = date.getMinutes();
    var ampm = hours >= 12 ? 'pm' : 'am';
    hours = hours % 12;
    hours = hours ? hours : 12; // the hour '0' should be '12'
    minutes = minutes < 10 ? '0'+minutes : minutes;
    var strTime = hours + ':' + minutes + ' ' + ampm;
    $(this).text(strTime);
  });
</script>

<script type="text/javascript">
  // $('.timeago').timeago();
</script>
<!-- // time class="text-sm pe-3 timeago"
  // class="text-sm pe-3 exact-time" -->
<!-- // datetime=" date('Y-m-d H:i', strtotime('+1 hour', strtotime($row['created_at']))) -->