<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="container">
  <div class="row">
    <div class="col-md-7">
      <div class="m-3 m-md-5">
        <h6><b>Profile</b></h6>
        <?= form_open('settings', ['class' => 'kForm p-3 pt-4 pb-5 rounded border', 'autocomplete' => 'off']); ?>
        <div class="form-group mb-3">
          Full Name
          <input type="text" value="<?= $data->name; ?>" name="name" readonly class="form-control" />
        </div>
        <div class="form-group mb-3">
          Phone Number
          <input type="text" value="<?= $data->phone; ?>" name="phone" class="form-control" required />
        </div>
        <div class="form-group mb-3">
          Email Address
          <input type="email" value="<?= $data->email; ?>" name="email" class="form-control" required />
        </div>
        <button type="submit" class="btn btn-supreme w-100 submit" data-ref="<?= base_url('ipanel/put/profile?target=profile'); ?>">Save</button>
        <?= form_close(); ?>
      </div>
      <div class="m-3 m-md-5">
        <h6><b>Password Change</b></h6>
        <?= form_open('settings', ['class' => 'kForm p-3 pt-4 pb-5 rounded border', 'autocomplete' => 'off']); ?>
        <div class="form-group mb-3">
          Old Password
          <input type="password" name="opass" class="form-control" />
        </div>
        <div class="form-group mb-3">
          New Password
          <input type="password" name="npass" class="form-control" />
        </div>
        <div class="form-group mb-3">
          Confirm New Password
          <input type="password" name="cpass" class="form-control" />
        </div>
        <button type="submit" class="btn btn-supreme w-100 submit" data-ref="<?= base_url('ipanel/put/profile?target=password'); ?>">Save</button>
        <?= form_close(); ?>
      </div>
    </div>
    <div class="col-md-5">
      <div class="m-3 m-md-5">
        <h6 class="text-center"><b>Profile Photo</b></h6>
        <?= form_open('settings', ['class' => 'kForm p-3', 'autocomplete' => 'off']); ?>
        <div class="form-group">
          <div class="container rounded text-center">
            <div id="main-cropper"></div>
            <div class="fileinput text-center" data-provides="fileinput">
              <label for="upload_image" class="border rounded-circle upload_container" data-trigger="fileinput" style="width: 240px; height:240px; overflow:hidden">
                <img src="<?= $_SESSION['prosc_image']; ?>" alt="..." id="img_prev" style="width: 100%" />
                <input type="file" class="custom-file-input d-none" id="upload_image" accept="image/*" />
              </label>
              <div id="image_demo"></div>
              <div class="">
                <label for="upload_image" class="btn btn-outline-supreme-2 load_btn">Change image</label>
                <label class="btn btn-supreme done" data-ref="<?= base_url('ipanel/put/profile?target=photo'); ?>">Upload</label>
              </div>
            </div>
          </div>
        </div>
        <?= form_close(); ?>
      </div>
    </div>
  </div>
</div>
<link rel="stylesheet" href="<?= base_url('assets/css/croppie.css'); ?>" />
<script type="text/javascript" src="<?= base_url('assets/js/croppie.min.js'); ?>"></script>
<script type="text/javascript" src="<?= base_url('assets/js/uploader.js') ?>"></script>