<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php $ped = $this->session->userdata('prosc_sales_prepare_date'); ?>
<?php 
  $users = [];
  foreach($staff as $key) $users[$key['token']] = $key['name'];
?>
<div class="px-2 px-md-4 mb-3 banner d-print-none">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
    <!--  
    <a href="<?= base_url('ipanel/sales_prep.aspx?n=sales');?>">Sales History</a> 
    <i class="ix ix-chevron"> -->
      <a href="<?= base_url('ipanel/sales_prep.aspx?n=sales');?>"><?php if($this->input->get('n') == 'sales_chart') echo 'Sales Chart'; else echo 'Sales'  ; ?></a>  
  </div>
  <div class="pb-2 ms-auto">
    <div class="btn-group bg-light rounded px-2">
      <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
      <a href="<?= base_url('filter/'.$page) ?>" class="btn" data-title="Filter" data-bs-toggle="modal" data-bs-target="#mModal" ><i class="bi-filter"></i></a>
    </div>
    <a class="btn btn-supreme rounded-0" id="download2x" onclick="window.print()">
      <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-cloud-arrow-down-fill" viewBox="0 0 16 16">
        <path d="M8 2a5.53 5.53 0 0 0-3.594 1.342c-.766.66-1.321 1.52-1.464 2.383C1.266 6.095 0 7.555 0 9.318 0 11.366 1.708 13 3.781 13h8.906C14.502 13 16 11.57 16 9.773c0-1.636-1.242-2.969-2.834-3.194C12.923 3.999 10.69 2 8 2zm2.354 6.854-2 2a.5.5 0 0 1-.708 0l-2-2a.5.5 0 1 1 .708-.708L7.5 9.293V5.5a.5.5 0 0 1 1 0v3.793l1.146-1.147a.5.5 0 0 1 .708.708z"/>
      </svg> Download
    </a>
  </div>
</div>
<?php $x = $_SESSION['prosc_sales_prepare_x'] ?? ''; ?>
<?php $y = $_SESSION['prosc_sales_prepare_y'] ?? ''; ?>
<?php $dated = (!isset($_SESSION['prosc_sales_prepare_x'])) ? (($ped == NULL) ? date('Y-m-d') : date('d M Y', strtotime($ped))) : (date('d M Y', strtotime($x)) .' - '. date('d M Y', strtotime($y))); ?>
<div class="d-none d-print-block text-center pb-4">
  <h6>Sales chart for: &nbsp; <b><?= $dated; ?></b></h6>
</div>

<div class="container-fluid">
  <div class="d-flex justify-content-end d-print-none pb-0 align-items-center ms-auto">
<?php if (!isset($_SESSION['prosc_sales_prepare_x'])): ?>
    <button class="btn btn-outline-supreme-2 pe-4 sub-url" data-ref="<?= base_url('navigate/sales_prep/prev'); ?>"><i class="bi-chevron-left"></i> Prev</button>
    <button class="btn mx-3"><?= (date('Y-m-d') == $ped OR $ped == '') ? 'Today' : date('d M, Y', strtotime($ped)); ?></button>
    <button class="btn btn-outline-supreme-2 ps-4 sub-url" data-ref="<?= base_url('navigate/sales_prep/next'); ?>" 
      <?= (date('Y-m-d') == $ped OR $ped == '') ? 'disabled' : ''; ?>>Next <i class="ix ix-chevron"></i></button>
<?php else: ?>
    <div class="btn"><?= date('d M, Y', strtotime($_SESSION['prosc_sales_prepare_x'])) ?> &nbsp; - &nbsp; <?= date('d M, Y', strtotime($_SESSION['prosc_sales_prepare_y'])) ?></div>
<?php endif ?>
  </div>
  <div class="px-2 px-md-4 pb-3 mt-3 banner mx-auto" style="font-weight: 800;">
  <!-- <?= $dated; ?>  -->
      <h5><b class="p-0 " ><?php if($this->input->get('n') == 'sales_chart') echo 'Sales Chart Details'; else echo 'Sales Details'  ; ?></b> </h5>  
    <div class="text-end">
      <div>Total Sales: <span class="money"><?= number_format($total, 2); ?></span></div>
      <div>Profit: <span class="money"><?= number_format(($total - $costs), 2); ?></span></div>
    </div>
  </div>
  <div class="table-responsive" id="paper">
    <table class="table table-hovers">
      <thead>
        <tr>
          <th width="20px" class="text-center">#</th>
          <th>Outlet Name</th>
          <th>Staff</th>
          <th>Total (Per Outlet)</th>
          <th>Total Gross Profit (Per Outlet)</th>
          <th width="20px"><?php if($this->input->get('n') == 'sales_chart') echo 'Sales Chart'; else echo 'Sales'  ; ?></th>
        </tr>
      </thead>
      <tbody>
  <?php
    $c = 0;
    foreach ($data as $row) {
      $c++;
  ?>
        <tr>
          <td width="20px" class="text-end"><?= $c; ?></td>
          <td class="text-nowrap"><?= $row['name'] ?></td>
          <td class="text-nowrap"><?= $users[$row['done_by']] ??  '<span style="font-style:italic">No staff </i>' ?></td>
          <td class="text-nowrap"><span class="money"><?= number_format($row['sales']); ?></span></td>  
          <td class="text-nowrap"><span class="money"><?= number_format($row['sales'] - $row['costs']); ?></span></td>  
           <td class=" text-nowrap py-2">
            <a href="<?= base_url("ipanel/{$n}.aspx?token=".$row['warehouse']); ?>" class="btn btn-supreme rounded px-2">Open</a>  
          </td>
          <!-- <td class="text-nowrap"><span class="badge text-bg-<?= $tag ?>"><?= $status; ?></span> -->
          <!-- <td class="text-nowrap py-2">
                <a href="<?= base_url("ipanel/{$n}.aspx?token=".$row['warehouse']); ?>"> <span class="badge text-bg">open</span> </a>
              </td> -->
        </tr>
  <?php } ?>
  <?php if (count($data) == 0) { ?>
        <tr><td colspan="6" class="p-5 text-danger text-center">no data available</td></tr>
  <?php } ?>
        </tbody>
      </table>
    </div>
  </div>
</div>
