<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($data))

    if ($tmp === '') :
        $psc = $this->session->userdata('prosc_users_date');
?>
    <div class="px-2 px-md-4 banner">
        <div class="pb-2 crumb">
            <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
            <a href="<?= base_url('ipanel/settings.aspx'); ?>">Setting</a><i class="ix ix-chevron"></i>
            <a href="javascript:void(0)">POS Setting</a>
        </div>
        <div class="pb-2 banner border-0" style="margin-left: auto;">
            <div class="btn-group bg-light rounded px-2 me-1">
                <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
            </div>
            <a href="<?= base_url('ipanel/pop/users'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Create POS"><i class="bi-plus-lg"></i> Add POS</a>
            <a href="<?= base_url('ipanel/pop/settings_pos'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Assign POS"><i class="bi-plus-lg"></i> Assign POS</a>
        </div>
    </div>

    <div class="container-fluid pt-3">
        <div class="table-responsive">
            <table class="table <?= (count($data) > 0) ? ' table-hovers' : ''; ?> datatables">
                <thead>
                    <tr class="text-center">
                        <th width="20px">#</th>
                        <th class="text-start">Staff ID</th>
                        <th class="text-start">Name</th>
                        <th class="text-start">POS</th>
                        <th class="text-start">Status</th>
                        <th width="60px">Action</th>
                    </tr>
                </thead>
                <tbody id="drop-off">
                <?php endif ?>
                <?php
                $c = 0;
                foreach ($data as $row) {
                    $c++;
                ?>
                    <tr>
                        <td width="20px" class="text-end"><?= $c; ?></td>
                        <td><?= $row['staff_username']; ?></td>
                        <td><?= $row['staff_name']; ?></td>
                        <td class="text-nowrap"><?= $row['pos_id']; ?></td>
                        <td class="text-nowrap">
                            <div class="toggle-container">
                                <input type="checkbox" class="toggle-input">
                                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 292 142" class="toggle">
                                    <path d="M71 142C31.7878 142 0 110.212 0 71C0 31.7878 31.7878 0 71 0C110.212 0 119 30 146 30C173 30 182 0 221 0C260 0 292 31.7878 292 71C292 110.212 260.212 142 221 142C181.788 142 173 112 146 112C119 112 110.212 142 71 142Z" class="toggle-background"></path>
                                    <rect rx="6" height="64" width="12" y="39" x="64" class="toggle-icon on"></rect>
                                    <path d="M221 91C232.046 91 241 82.0457 241 71C241 59.9543 232.046 51 221 51C209.954 51 201 59.9543 201 71C201 82.0457 209.954 91 221 91ZM221 103C238.673 103 253 88.6731 253 71C253 53.3269 238.673 39 221 39C203.327 39 189 53.3269 189 71C189 88.6731 203.327 103 221 103Z" fill-rule="evenodd" class="toggle-icon off"></path>
                                    <g filter="url('#goo')">
                                        <rect fill="#fff" rx="29" height="58" width="116" y="42" x="13" class="toggle-circle-center"></rect>
                                        <rect fill="#fff" rx="58" height="114" width="114" y="14" x="14" class="toggle-circle left"></rect>
                                        <rect fill="#fff" rx="58" height="114" width="114" y="14" x="164" class="toggle-circle right"></rect>
                                    </g>
                                    <filter id="goo">
                                        <feGaussianBlur stdDeviation="10" result="blur" in="SourceGraphic"></feGaussianBlur>
                                        <feColorMatrix result="goo" values="1 0 0 0 0  0 1 0 0 0  0 0 1 0 0  0 0 0 18 -7" mode="matrix" in="blur"></feColorMatrix>
                                    </filter>
                                </svg>
                            </div>
                        </td>
                        <td class="dropdown py-2 text-nowrap">
                            <a href="<?= base_url('ipanel/pop/settings_pos?token=' . $row['token']); ?>" class="btn btn-sm btn-hover" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Edit POS"><i class="bi-pencil-square"></i></a>
                            <a href="<?= base_url('ipanel/drop/settings_pos?token=' . $row['token'] . '&staff=' . $row['staff']); ?>" class="btn btn-sm btn-hover" data-bs-toggle="modal" data-bs-target="#mModalX">
                                <i class="bi-trash3-fill text-danger"></i>
                                <span class="msg d-none">This operation will remove <b><?= $row['name']; ?></b> from the system<br />Sure to continue?</span>
                            </a>
                        </td>
                    </tr>

                <?php } ?>
                <?php if (count($data) == 0) { ?>
                    <tr>
                        <td colspan="8" class="p-5 text-danger text-center">no data available</td>
                    </tr>
                <?php } ?>
                <?php if ($tmp === '') : ?>
                </tbody>
            </table>
        </div>
    </div>
<?php endif ?>