<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($setting)) {
    $s = $o = [];
    foreach ($users as $key) $s[$key['token']] = $key['name'];
    foreach ($outlets as $key) $o[$key['token']] = $key['name'];
    if ($tmp === '') :
?>
        <div class="px-2 px-md-4 banner">
            <div class="pb-2 crumb">
                <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
                <a href="<?= base_url('ipanel/settings.aspx'); ?>">Setting</a><i class="ix ix-chevron"></i>
                <a href="javascript:void(0)">Shipping Setting</a>
            </div>
            <div class="pb-2 ms-auto">
                <a href="<?= base_url('ipanel/pop/shipping_settings'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Shipping"><i class="bi-plus-lg"></i>Shipping fee</a>
            </div>
        </div>
        <div class="container-fluid pt-3">
            <div class="table-responsive text-nowrap">
                <table class="table datatable<?= (count($setting) > 0) ? ' table-hovers' : ''; ?>">
                    <thead>
                        <tr>
                            <th class="text-center" width="20px">#</th>
                            <th>Region</th>
                            <th>Fee</th>
                            <th class="text-center" width="20px"></th>
                        </tr>
                    </thead>
                    <tbody id="drop-off">
                    <?php endif ?>
                    <?php
                    $c = 0;
                    foreach ($setting as $row) {
                        $c++;
                        $serial = strlen($row['id']) < 3 ? str_repeat('0', 3 - strlen($row['id'])) : '';
                        $serial .= $row['id'];
                    ?>

                        <tr>
                            <td width="20px" class="text-end"><?= $c; ?></td>
                            <td><?= $row['region']; ?></td>
                            <td>
                                <?php if ($currency == "GBP"): ?>
                                    <i class="bi bi-currency-pound"></i><?= number_format($row['fee']); ?>
                                <?php else: ?>
                                    <span class="money"><?= number_format($row['fee']); ?></span>
                                <?php endif; ?>
                            </td>
                            <td class="dropstart py-2">
                                <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
                                <?php if ($row['region'] != 'General') : ?>
                                    <div class="dropdown-menu">
                                        <a href="<?= base_url('ipanel/pop/shipping_settings?target=' . $row['token']); ?>" class="dropdown-item" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Edit shipping"><i class="bi-pencil-square"></i> Edit</a>
                                        <a href="<?= base_url('ipanel/drop/shipping_settings?target=' . $row['token']); ?>" class="dropdown-item text-danger" data-bs-toggle="modal" data-bs-target="#mModalX">
                                            <i class="bi-trash3-fill"></i> Remove
                                            <span class="msg d-none">This operation will remove <b><?= $row['name']; ?></b> from the system<br />Sure to continue?</span>
                                        </a>
                                    </div>
                                <?php endif ?>
                            </td>
                        </tr>
                    <?php } ?>
                    <?php if ($tmp === '') : ?>
                    </tbody>
                </table>
            </div>
        </div>
    <?php endif ?>
<?php } ?>