<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {
  $s = [];
  foreach ($outlets as $key) $outlet[$key['token']] = $key['name'];
  foreach ($users as $key) $user[$key['token']] = $key['name'];
  foreach ($items as $key) {
    $item[$key['token']] = $key['name'];
    $itemx[$key['token']] = $key['price'];
  }
  if ($tmp === '') :
?>
    <div class="px-2 px-md-4 banner">
      <div class="pb-2 crumb">
        <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
        <a href="javascript:void(0)">Request</a>
      </div>
    </div>
    <div class="container-fluid pt-3">
      <div class="table-responsive">
        <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
          <thead>
            <tr class="text-center">
              <th width="20px">#</th>
              <th class="text-start">Request ID</th>
              <th class="text-start">Staff</th>
              <th class="text-start">Station</th>
              <th class="text-start">Item Name</th>
              <th class="text-start">Amount Total</th>
              <th class="text-start">Created Date</th>
              <th width="60px">Status</th>
              <th width="60px"></th>
            </tr>
          </thead>
          <tbody id="drop-off">
          <?php endif ?>
          <?php
          $c = 0;
          foreach ($data as $row) {
            $c++;
            $msg = json_decode($row['message'], true);
            $tag = ($row['approve'] == 0) ? 'primary' : (($row['approve'] == 1) ? 'success' : 'light');
            $status = $row['approve'] == 0 ? 'Awaiting approval' : ($row['approve'] == 1 ? '<i class="bi-check2"></i> Approved' : '<i class="bi-x-lg"></i> Completed');
            $content = ($msg['purpose'] == 0) ? substr($msg['message'], 0, 30) : ('Order placement for ' . count($msg['message']) . ' Item(s)');
            $price = '-';
            if ($msg['purpose'] != 0) {
              $sum = 0;
              foreach ($msg['message'] as $key => $val) {
                $d = json_decode($itemx[$key], true);
                $sum += $d['a577f519b58b533e400cf28a7464576babf92121'][0] * $val;
              }
              $price = "₦ " . number_format($sum, 2);
            }
          ?>
            <tr>
              <td width="20px" class="text-end"><?= $c; ?></td>
              <td class="text-nowrap"><?= $row['voucher'] ?></td>
              <td class="text-nowrap"><?= $user[$row['messenger']] ?></td>
              <td class="text-nowrap"><?= $outlet[$row['warehouse']] ? $outlet[$row['warehouse']] : 'Online warehouse' ?></td>
              <td><?= $content; ?></td>
              <td class="text-nowrap text-end"><?= $price; ?></td>
              <td class="text-nowrap"><?= date('d M, Y', strtotime($row['created_at'])); ?></td>
              <td class="text-nowrap"><span class="badge text-bg-<?= $tag ?>"><?= $status; ?></span></td>
              <!-- next page update  -->
              <td class="text-nowrap py-2">
                <a href="<?= base_url('ipanel/details.aspx?token=' . $row['token']); ?>" class="btn btn-sm" data-title="Modify Request"><i class="bi-chevron-right shade"></i></a>
              </td>
            </tr>
          <?php } ?>
          <?php if (count($data) == 0) { ?>
            <tr>
              <td colspan="9" class="p-5 text-danger text-center">no data available</td>
            </tr>
          <?php } ?>
          <?php if ($tmp === '') : ?>
          </tbody>
        </table>
      </div>
    </div>
  <?php endif ?>
<?php } ?>