<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<form action="#" id="adder" autocomplete="off">
  <div class="form-group mb-3">
    <input type="text" value="<?= $data->voucher ?? $voucher; ?>" name="autogen" class="form-control text-center" readonly />
  </div>
  <div class="form-group mb-3">
    <label>Date of Sale</label>
    <input type="date" name="dated" class="form-control" value="<?= $data->date ?? date('Y-m-d'); ?>" required />
  </div>
  <div class="form-group mb-3">
    <select class="form-select" name="customer" onchange="check(event)" required>
      <option value="" class="d-none">Select Customer...</option>
    <?php foreach ($clients as $row): ?>
      <option value="<?= $row['token'] ?>" <?= ($data && $data->customer == $row['token'] ? 'selected' : ''); ?>><?= $row['serial'] ?> - <?= $row['name'] ?></option>
    <?php endforeach ?>
    </select>
  </div>
  <div <?= ($data && $data->customer == md5('er_empty') ? '' : 'class="d-none"'); ?> id="others">
    <div class="form-group mb-3">
      <input type="text" name="name" class="form-control" value="<?= $data->customer_name ?? ''; ?>" required />
      <label>Buyer Name</label>
    </div>
    <div class="form-group mb-3">
      <input type="text" name="phone" class="form-control" value="<?= $data->customer_phone ?? ''; ?>" required />
      <label>Buyer Phone</label>
    </div>
  </div>
  <?php $ref = (is_object($data)) ? 'put/supply_client?action=mod&target='.$data->voucher : 'post/supply_client'; ?>

  <button class="btn btn-supreme w-100 submit" data-content="#drop-off" data-form="#adder" data-ref="<?= base_url('ipanel/'.$ref); ?>">Save</button>
</form>
<script type="text/javascript">
  function check(e) {
    if (e.target.value == $('#other').val())
      $('#others').removeClass('d-none');
    else $('#others').addClass('d-none');
  }
  
</script>