<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="<?= base_url('assets/toaster/toast.style.min.css'); ?>">
<link rel="icon" type="image" href="<?= base_url('assets/images/favicon.png'); ?>" />
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css">
<script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
<script type="text/javascript" src="<?= base_url('assets/toaster/toast.script.js') ?>" defer></script>
<script type="text/javascript" src="<?= base_url('assets/js/login.js') ?>" defer></script>
<style>
  @import url('https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:wght@500&display=swap');
  * {
    font-family: 'Plus Jakarta Sans', sans-serif;
    margin: 0; padding: 0;
    box-sizing: border-box;
  }
  html, body {
    width: 100%;
    height: 100%;
    overflow: auto;
  }
  .btn-supreme, .btn-supreme:hover, .btn-supreme:focus {
    background-color: #B8541B;
    color: #fff!important;
  }
  .btn-supreme:hover, .btn-supreme:focus, .btn-supreme:disabled, .btn-supreme:active {
    background-color: #A8440B!important;
  }
  .text-supreme {
    color: #C8642B;
  }
  input.form-control {
    padding: 12px;
  }
  @media screen and (min-width: 768px) {
    input.form-control {
      font-size: 1.3rem;
      padding: 16px 24px;
    }
  }
</style>
<title>SCAP - Password Reset</title>
</head>
<body>
  
<div id="overlay"></div>
<div class="mx-3 pt-md-3 mx-md-4">
  <h1 class="p-3 py-5 p-md-5">Password Reset </h1>
  <div class="container cast rounded py-md-5" style="max-width: 600px;">
  <?php 
    if($this->session->userdata('page') == 'code' ){
  ?>
    <div class="container">
      <?= form_open('login', ['class'=>'myForm', 'id'=>'myForm', 'autocomplete'=>'off']); ?>
      <div class="form-group mb-3">
        <input type="password" class="form-control" name="old_password" placeholder="Enter Code" />
    </div>
    <div class="form-group mb-3">
        <input type="password" class="form-control" name="p1" placeholder="New Password" />
    </div>
    <div class="form-group mb-3">
        <input type="password" class="form-control" name="p2" placeholder="Re-enter Password" />
    </div>
      <div class="form-group mb-3 text-right">
        <!-- <button class="btn btn-supreme p-3" id="submit" data-ref="<?= base_url('?k=forgot_password&action=email') ?>">Verify</button> -->
        <button class="btn btn-supreme p-3" id="submit" data-ref="<?= base_url('?k=forgot_password&action=cancel') ?>">Cancel</button>
      </div>
      <?= form_close(); ?>
    </div>
    <?php
    }elseif($this->session->userdata('page') == 'set_new'){
    ?>
    <div class="container">
      <?= form_open('login', ['class'=>'myForm', 'id'=>'myForm', 'autocomplete'=>'off']); ?>
      <div class="form-group mb-3">
        <input type="password" class="form-control" name="old_password" placeholder="Enter Code" />
    </div>
    <div class="form-group mb-3">
        <input type="password" class="form-control" name="p1" placeholder="New Password" />
    </div>
    <div class="form-group mb-3">
        <input type="password" class="form-control" name="p2" placeholder="Re-enter Password" />
    </div>
      <div class="form-group mb-3 text-right">
        <!-- <button class="btn btn-supreme p-3" id="submit" data-ref="<?= base_url('?k=forgot_password&action=email') ?>">Verify</button> -->
        <button class="btn btn-supreme p-3" id="submit" data-ref="<?= base_url('?k=forgot_password&action=cancel') ?>">Cancel</button>
      </div>
      <?= form_close(); ?>
    </div>
    <?php
    }
    ?>
  </div>

</div>
</body>
</html>