var cropType = $('.done').hasClass('logo') || $('.done').hasClass('item') ? 'square' : 'circle';
var dims = $('.done').hasClass('logo') ? [300, 100] : [200, 200];
dims = $('.done').hasClass('item') ? [480, 480] : dims;
var cropx = $('#image_demo').croppie({
  viewport: { width: dims[0], height: dims[1] },
  boundary: { width: dims[0]+5, height: dims[1]+5 },
  enableResize: true,
  enableOrientation: true,
  mouseWheelZoom: 'ctrl'
});
$('#upload_image').on('change', function(){
  var reader = new FileReader();
  $('#image_demo').show();
  reader.onload = function (event) {
    cropx.croppie('bind', {
      url: event.target.result
    });
  }
  reader.readAsDataURL(this.files[0]);
  $('.upload_container').hide();
  $('.load_btn').text('Change image');
  $('.done').show();
});

$('.done').click(function(event){
  $('.load_btn, .done').hide();
  $('.submit').attr('disabled',false);
  let url = $(this).data('ref');
  cropx.croppie('result').then(function(response){
    if ($('.done').hasClass('item')) {
      $('#image').val(btoa(response));
      $('.upload_container img').attr('src', response);
      $('.upload_container').show();
      $('#image_demo').hide();
    } else {
      $.ajax({
        url:url,
        type: "POST",
        data:{"image": btoa(response)},
        success:function(data)
        {
          if (data.indexOf('success') != -1) location.reload();
        }
      });
    }
  })
});
$('#image_demo').hide();
$('.done').hide();
