<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>

<div class="px-2 px-md-4 banner">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
    <a href="javascript:void(0)">Complaints</a>
  </div>

  <div class="container-fluid nav-link active pt-3  justify-content-middle align-items-center mx-auto my-3">
    <ul class="bg-light pt-3" style="height: 50px;">
      <li class="list-inline-item px-2 ">
        <h6>All Complaints <?= $all_count ?></h6>
      </li>
      <li class="list-inline-item px-2">
        <h6>Unread <?= $unread ?: 0  ?> </h6>
      </li>
    </ul>
  </div>

</div>

<div class="container-fluid pt-3">
  <div class="table-responsive">
      <table class="table datatable<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
          <thead>
            <tr>
              <th width="20px">#</th>
              <th>Opened</th>
              <th>Sender</th>
              <th>Reply Path</th>
              <th>Date</th>
              <th width="20px">Action</th>
            </tr>
          </thead>
          <tbody id="drop-off">
      <?php
        $c = 0;
        foreach ($data as $row) {
          $c++;
        ?>
          <tr class="table_link">
            <a href="">
              <td width="20px" class="text-end"><?= ($row['opened'] == 0) ? '<span class="text-danger">*</span>' : '' ?><?= $c; ?></td>
              <td><?= ucwords($row['type']); ?></td>
              <td><?= $row['name']; ?></td>
              <td><?= $row['remail']; ?></td>
              <td><?= date('d M, Y. H:ia', strtotime($row['created_at'])); ?></td>
              <td class="complain_action">
                <a href="<?= base_url('ipanel/message.aspx?token=' . $row['token']); ?>" class="link cp-link pe-3 border-end" title="Open Complaints">
                  <i class="bi-folder2-open me-2"></i> Open
                </a>

                <a href="<?= base_url('ipanel/drop/message?token=' . $row['token']); ?>" class="dropdown-item text-danger" data-bs-toggle="modal" data-bs-target="#mModalX">
                  <i class="bi-trash3-fill me-2"></i> Delete
                  <span class="msg d-none">This operation will move this complaint to trash<br />Sure to continue?</span>
                </a>
              </td>
            </a>
          </tr>
        <?php } ?>
      </tbody>
    </table>
  </div>
</div>
