<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {
  $s = $cat = [];
  foreach ($states as $key) $s[$key['token']] = $key['name'];
  foreach ($categories as $key) $cat[$key['token']] = $key['name'];
  if ($tmp === '') :
?>
    <div class="px-2 px-md-4 banner">
      <div class="pb-2 crumb">
        <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
        <a href="javascript:void(0)">Inventory Settings</a><i class="ix ix-chevron"></i>
        <a href="javascript:void(0)">Product Item</a>
      </div>
      <div class="pb-2 banner border-0" style="margin-left: auto;">
        <div class="btn-group bg-light rounded px-2">
          <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
        </div>
        <a href="<?= base_url('ipanel/pop/items'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" data-title="New Item"><i class="bi-plus-lg"></i> Add new Item</a>
      </div>
    </div>
    <div class="container-fluid pt-2">
      <div class="table-responsive">
        <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
          <thead>
            <tr class="text-center">
              <th width="20px">#</th>
              <th width="80px"></th>
              <th class="text-start">Name</th>
              <th width="60px">Category</th>
              <th class="text-center">Min Stock Level</th>
              <th class="text-center">Max Stock Level</th>
              <th class="text-start" width="60px">Unit</th>
              <th>Cost Price</th>
              <th>Selling Price</th>
              <th width="120px">Created</th>
              <th width="60px">Action</th>
            </tr>
          </thead>
          <tbody id="drop-off">
          <?php endif ?>
          <?php
          $c = 0;
          foreach ($data as $row) {
            $c++;
            $price = json_decode($row['price'], true) ?? ['a577f519b58b533e400cf28a7464576babf92121' => [0, 0]];
            $price = $price['a577f519b58b533e400cf28a7464576babf92121'];
          ?>
            <tr>
              <td width="20px"><?= $c; ?></td>
              <td class="py-2 text-center"><img src="<?= $row['image']; ?>" class="img-fluid" alt="<?= $row['name'] ?>" style="height: 40px;"></td>
              <td><?= $row['name']; ?></td>
              <td class="text-nowrap text-center"><?= $cat[$row['category']]; ?></td>
              <td class="text-nowrap text-center"><?= $row['min_stock']; ?></td>
              <td class="text-nowrap text-center"><?= $row['stock']; ?></td>
              <td><?= $row['unit']; ?></td>
              <td class="text-nowrap text-center"><span class="money"><?= number_format($price[1], 1); ?></span></td>
              <td class="text-nowrap text-center"><span class="money"><?= number_format($price[0], 1); ?></span></td>

              <td class="text-nowrap"><?= date('d M, Y', strtotime($row['created_at'])); ?></td>
              <td class="dropdown py-2 text-nowrap">
                <a href="<?= base_url('ipanel/pop/items?token=' . $row['token']); ?>" class="btn btn-sm btn-hover" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Edit Inventory Item"><i class="bi-pencil-square"></i></a>
                <a href="<?= base_url('ipanel/drop/items?token=' . $row['token']); ?>" class="btn btn-sm btn-hover" data-bs-toggle="modal" data-bs-target="#mModalX">
                  <i class="bi-trash3-fill text-danger"></i>
                  <span class="msg d-none">This operation will remove <b><?= $row['name']; ?></b> from the system<br />Sure to continue?</span>
                </a>
              </td>
            </tr>
          <?php } ?>
          <?php if (count($data) == 0) { ?>
            <tr>
              <td colspan="10" class="p-5 text-danger text-center">no data available</td>
            </tr>
          <?php } ?>
          <?php if ($tmp === '') : ?>
          </tbody>
        </table>
      </div>
    </div>
  <?php endif ?>
<?php } ?>