<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) { 
  $s = [];
  $total = 0;
  $total_cost = 0;
  $total_expenses = 0;
  $warehouse_expenses  = [];
  $warehouse_sales  = [];
  foreach ($outlets as $key) $outlet[$key['token']] = $key['name'];
  foreach ($users as $key) $user[$key['token']] = $key['name'];
  foreach ($users as $key) $user_station[$key['warehouse']] = $key['name'];
  foreach ($items as $key)     $item[$key['token']]       = $key['name'];
  foreach ($items as $key)     $itemx[$key['token']]       = $key['price'];
  $wx_sales = [];
  $w_sales  = [];
  
  
  
  
  foreach($data as $key => $value){
    if(! array_key_exists($value['voucher'], $wx_sales) ){
            $wx_sales[$value['voucher']] = array( 
                'itemd'    =>  array($item[$value['item']] => $item[$value['item']] ),
                'total'    => $value['price'] * $value['quantity'],
                'voucher' => $value['voucher'],
                'customer_name' => $value['customer_name'],
                'date'       => $value['created_at']
           );
            
    }else{
        $a = $wx_sales[$value['voucher']];
        $itemz = $a['itemd'];
        $totalx =   $a['total'] + ($value['price'] * $value['quantity']);
        $itemz[$item[$value['item']]] = $item[$value['item']];
        
        $wx_sales[$value['voucher']] = array( 
              'itemd'    =>  $itemz,
              'total'    => $totalx,
              'voucher' => $value['voucher'],
              'customer_name' => $value['customer_name'],
              'date'       => $value['created_at']
         );       
    }
  
  }
  foreach($datax as $key => $value){
    if(! array_key_exists($value['voucher'], $w_sales) ){
            $w_sales[$value['voucher']] = array( 
                'itemd'    =>  array($item[$value['item']] => $item[$value['item']] ),
                'total'    => $value['price'] * $value['quantity'],
                'voucher' => $value['voucher'],
                'customer_name' => $value['customer_name'],
                'date'       => $value['created_at']
           );
            
    }else{
        $a = $w_sales[$value['voucher']];
        $itemz = $a['itemd'];
        $totalx =   $a['total'] + ($value['price'] * $value['quantity']);
        $itemz[$item[$value['item']]] = $item[$value['item']];
        
        $w_sales[$value['voucher']] = array( 
              'itemd'    =>  $itemz,
              'total'    => $totalx,
              'voucher' => $value['voucher'],
              'customer_name' => $value['customer_name'],
              'date'       => $value['created_at']
         );       
    }
  
  }
  
  
  if($sales != false){
  foreach ($sales as $key) {
      $total = $key['total'] + $total;
      $total_cost = $key['total_cost_price'] + $total_cost;
  }
  foreach (@$sales as $key){ 
    
    if  (@$warehouse_sales[$key['warehouse']] == false){
      $warehouse_sales[$key['warehouse']] = $key['total'];
    }else{
      $warehouse_sales[$key['warehouse']] = $warehouse_sales[$key['warehouse']] + $key['total'];
    }
  
  
  }
}
  if ($tmp === ''):
    $ped = $this->session->userdata('prosc_sales_report_date');

    $pedd = $this->session->userdata('prosc_sales_report_date');

    $activity_count = count(array_filter($wx_sales));
    $order_count = count(array_filter($w_sales));
  
?>
<div class="px-2 px-md-4 mb-3 banner">
  <div class="pb-2 crumb">
      <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="bi-chevron-right"></i>
      <a href="javascript:void(0)">Sales</a> <i class="bi-chevron-right"></i> <a href="javascript:void(0)">Sales Details</a> <i class="bi-chevron-right"></i> <a href="javascript:void(0)"><?= $outlet[$tag] ?></a>
  </div>
  <div class="d-flex justify-content-end d-print-none pb-0 align-items-center ms-auto">
<?php if (!isset($_SESSION['prosc_sales_report_x'])): ?>
    <button class="btn btn-outline-supreme-2 pe-4 sub-url" data-ref="<?= base_url('navigate/sales_report/prev'); ?>"><i class="bi-chevron-left"></i> Prev</button>
    <button class="btn mx-3"><?= (date('Y-m-d') == $ped OR $ped == '') ? 'Today' : date('d M, Y', strtotime($ped)); ?></button>
    <button class="btn btn-outline-supreme-2 ps-4 sub-url" data-ref="<?= base_url('navigate/sales_report/next'); ?>" 
      <?= (date('Y-m-d') == $ped OR $ped == '') ? 'disabled' : ''; ?>>Next <i class="bi-chevron-right"></i></button>
<?php else: ?>
    <div class="btn"><?= date('d M, Y', strtotime($_SESSION['prosc_sales_report_x'])) ?> &nbsp; - &nbsp; <?= date('d M, Y', strtotime($_SESSION['prosc_sales_report_y'])) ?></div>
<?php endif ?>
  </div>
</div>
<?php $x = $_SESSION['prosc_sales_report_x'] ?? ''; ?>
<?php $y = $_SESSION['prosc_sales_report_y'] ?? ''; ?>
<?php $dated = (!isset($_SESSION['prosc_sales_report_x'])) ? (($ped == NULL)? date('Y-m-d'):date('d M Y', strtotime($ped))) : (date('d M Y', strtotime($x)) .' - '. date('d M Y', strtotime($y))); ?>


<div class="px-2 px-md-4 mb-4 banner mx-auto" style="justify-content: space-between; align-items: center ;font-weight: 800; ">
    <div> <?= $outlet[$tag] ?></div>    
    
    <div><!-- Today: --> </div>  
      <div><?= $dated; ?> <br /> Total Sales:  <span class="money"><?= number_format($total, 2);   ?> 
           <!-- Profit: &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;   <?= number_format(($total - $total_expenses - $total_cost), 2); ?> -->
      </div>
      
</div>
<div class="text-left pb-3">
    <a href="<?= base_url('ipanel/sales_report_details.aspx?token='.$tag); ?>" class="btn btn-outline-supreme btn-sm toggle">Sales Activity <?= "(".$activity_count.")"; ?></a>
    <a href="<?= base_url('ipanel/sales_report_detailz.aspx?token='.$tag); ?>" class="btn btn-sm toggle">Sales Order <?= "(". $order_count .")" ?></a>
  </div>
<div class="table-responsive">
  <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?> datatable">
    <thead>
      <tr class="text-center">
      <th width="20px">#</th>
      <th class="text-start">Sales ID</th>
      <th class="text-start">Customer</th>
      <th class="text-start">Amount</th>
      <th class="text-start">Item</th>
      <th class="text-start">Date</th>
      <th class="text-start"></th>
      
      </tr>
    </thead>
    <tbody id="drop-off">
      
<?php endif ?>
  <?php
    $c = 0;
    foreach (array_filter($wx_sales) as $row => $values) { 
      $c++;
  ?>
      <tr>
        <td width="20px" class="text-end"><?= $c; ?></td>
        <td class="text-nowrap"><?= $values['voucher']; ?></td>
        <td class="text-nowrap"><?= $values['customer_name']; ?></td>
        <td class="text-nowrap"><span class="money"><?= @number_format($values['total'],2); ?></td>  
        <td class="text-nowrap">
          <?php 
            $counter = count($values['itemd']);
            foreach($values['itemd'] as $rows => $val){ 
              echo $val . (($counter > 1)?", ":"");
              --$counter;
            }
             ?>
        </td>
        <td class="text-nowrap"><?= $values['date'] ?? '*'; ?></td>  
        <td class="py-2">
            <a href="<?= base_url('ipanel/sales_report_detailx.aspx?token='.$values['voucher']."&tag=".$tag); ?>" class="btn btn-sm" 
              data-title="Modify Request"><i class="bi-chevron-right shade"></i></a>  
          </td>
        
      </tr>
  <?php } ?>
  <?php if (count($data) == 0) { ?>
      <tr><td colspan="7" class="p-5 text-danger text-center">no data available</td></tr>
  <?php } ?>
<?php if ($tmp === ''): ?>
    </tbody>
  </table>
  


  


</div>
<?php endif ?>
<?php } ?>
