<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) { 
  $s = $i = $o = $t = [];
  foreach ($outlets as $key) $o[$key['token']] = $key['name'];
  foreach ($states as $key) $s[$key['token']]  = $key['name'];
  foreach ($items as $key) $i[$key['token']]   = $key['name'];
  foreach ($cats as $key) $t[$key['token']]    = $key['name'];
  
  if ($this->session->userdata('prosc_sales_key') == ''):
    if ($tmp === '') {
?>
<div class="px-2 px-md-4 banner">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="bi-chevron-right"></i>
    <a href="javascript:void(0)">Sales</a> 
  </div>
  <div class="pb-2 ms-auto">
    <div class="btn-group bg-light rounded px-2">
      <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
      <a href="<?= base_url('filter/'.$page) ?>" class="btn" data-title="Filter" data-bs-toggle="modal" data-bs-target="#mModal" ><i class="bi-filter"></i></a>
    </div>
  <?php if (!isset($_SESSION['prosc_admin'])): ?>
    <a href="<?= base_url('ipanel/pop/sales'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" 
    data-title="Initiate Sale"><i class="bi-plus-lg"></i> Create Sale</a>
  <?php endif ?>
  </div>
</div>
<div class="container-fluid p-3">
<a href="<?= base_url('ipanel/sales.aspx?token='); ?>" class="btn  btn-sm toggle">Sales Activity <?= ""; ?></a>
    <a href="<?= base_url('ipanel/salex.aspx?token='); ?>" class="btn btn-outline-supreme-2 btn-sm toggle">Sales Order</a>
  </div>
<div class="container-fluid">
  <div class="table-responsive">
    <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
      <thead>
        <tr class="text-center">
          <th width="20px">#</th>
          <th class="text-start">Order ID</th>
          <th class="text-start">Customer</th>
          <th class="text-start">Phone</th>
        <?php if ($this->session->userdata('prosc_admin') === true): ?>
          <th class="text-start">Location</th>
        <?php endif; ?>
          <th width="60px">Total</th>
          <th>Date</th>
          <th width="20px"></th>
        </tr>
      </thead>
      <tbody id="drop-off">
    <?php } ?>
      <?php
        $c = 0;
        foreach ($data as $row) { 
          $c++;
          $total = $totals[$row['voucher']] ?? $row['total'];
      ?>
        <tr>
          <td width="20px" class="text-end"><?= $c; ?></td>
          <td><b><?= "S".$row['order_id']; ?></b></td>
          <td class="text-nowrap"><?= $row['customer_name']; ?></td>
          <td class="text-nowrap"><?= $row['customer_phone']; ?></td>
        <?php if ($this->session->userdata('prosc_admin') === true): ?>
          <td class="text-nowrap"><?= $o[$row['warehouse']]; ?></td>
        <?php endif; ?>
          <td class="text-nowrap text-end"><span class="money"><?= number_format($total, 2); ?></span></td>
          <td class="text-nowrap text-center"><?= date('d M, Y', strtotime($row['date'])); ?></td>
          <td class="dropstart py-2">
            <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
            <div class="dropdown-menu dropdown-menu-end">
            <?php if ($this->session->userdata('prosc_user') == $row['done_by']): ?>
              <a href="#" data-ref="<?= base_url('ipanel/put/sales?action=open&target='.$row['token']); ?>" class="dropdown-item sub-url" title="Open sales Data"><i class="bi-folder2-open"></i>Open</a>
            <?php endif ?>
              <a href="<?= base_url('generate/invoice.aspx?action=salex&target='.$row['token']); ?>" class="dropdown-item" title="Generate Receipt"><i class="bi-clipboard2-check-fill"></i>Receipt</a>
              <a href="<?= base_url('ipanel/pop/salex?token='.$row['token']); ?>" class="dropdown-item" data-bs-toggle="modal"
               data-bs-target="#mModal" data-title="Edit Sale Details"><i class="bi-pen"></i>Edit Details</a>
            <?php if ($this->session->userdata('prosc_admin') !== true OR $row['done_by'] == $_SESSION['prosc_user']): ?>
                <a href="<?= base_url('ipanel/drop/salex?voucher='.$row['voucher'].'&tok=update'); ?>" class="dropdown-item" data-bs-toggle="modal" data-bs-target="#mModalX">
                <i class="bi-check text-danger"></i> Completed
                <span class="msg d-none">This operation will indicate payment have been made for sales with details at row: <b><?= $c; ?></b><br />Sure to continue?</span>
              </a>
              <a href="<?= base_url('ipanel/drop/salex?voucher='.$row['voucher']); ?>" class="dropdown-item" data-bs-toggle="modal" data-bs-target="#mModalX">
                <i class="bi-trash3-fill text-danger"></i> Delete
                <span class="msg d-none">This operation will remove all data for sales with details at row: <b><?= $c; ?></b><br />Sure to continue?</span>
              </a>
            <?php endif ?>
            </div>
          </td>
        </tr>
      <?php } ?>
      <?php if (count($data) == 0) { ?>
        <tr><td colspan="8" class="p-5 text-danger text-center">no data available</td></tr>
      <?php } ?>
    <?php if ($tmp === '') { ?>
      </tbody>
    </table>
  </div>
</div>
  <?php } ?>
<?php 
  else:
    if ($tmp === '') {
?>
<div class="px-2 px-md-4 banner">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="bi-chevron-right"></i>
    <a href="javascript:void(0)" class="sub-url" data-ref="<?= base_url('ipanel/put/sales?action=close'); ?>">Sales</a><i class="bi-chevron-right"></i>
    <a href="javascript:void(0)">Create Sale</a>
  </div>
</div>
<div class="container p-0 p-md-3">
  <div class="row g-0">
    <div class="col-md-6 border-end">
      <div class="container p-5">
        <div class="container p-3 border rounded">
          <div class="p-3">
            <h5 class="text-center pb-3"><b>Create Sale</b></h5>
            <table class="table border">
              <tbody>
                <tr>
                  <td><b>VOUCHER</b></td>
                  <td class="text-end">#<?= $_SESSION['prosc_sales_key']; ?></td>
                </tr>
                <tr>
                  <td><b>DATE</b></td>
                  <td class="text-end"><?= date('d M, Y', strtotime($_SESSION['prosc_sales_date'])); ?></td>
                </tr>
                <tr>
                  <td><b>BUYER</b></td>
                  <td class="text-end"><?= $_SESSION['prosc_sales_name']; ?></td>
                </tr>
                <tr>
                  <td><b>PHONE</b></td>
                  <td class="text-end"><?= $_SESSION['prosc_sales_phone']; ?></td>
                </tr>
              </tbody>
            </table>
            <form action="#" id="adder" class="kForm position-relative" autocomplete="off">
              <div id="loader" class="out"></div>
              <div class="form-group mb-3 mb-3">  
              <input type="checkbox" id="vehicle1" name="order_type" value="1">  Sales Order (Optional)
              </div>
              
              <div class="form-group mb-3 mb-3">
                <select id="select" class="form-select" name="item">
                  <option class="d-none" value="">Select Product ...</option>
                  
            <?php foreach ($items as $row) { ?>

                  <option id="i<?= $row['token'] ?>" value="<?= $row['token'] ?>"><?= $row['name']; ?> (<?= $t[$row['category']] ?>)</option>
            <?php } ?>
                </select>
              </div>
              <div class="form-group mb-3">
                <label>&nbsp; Unit Price</label>
                <select id="price" class="form-select" disabled>
                  <option class="d-none">Price will show here</option>
            <?php foreach ($items as $row) { ?>
                  <option id="p<?= $row['token'] ?>" value="<?= $row['token'] ?>"><?= $row['price']; ?></option>
            <?php } ?>
                </select>
              </div>
              <div class="form-group mb-3">
                <label>Quantity</label>
                <input type="number" class="form-control" min="1" name="quantity" id="qty" required />
              </div>
              <div class="text-end">
                <button class="btn submit" id="send" data-ref="<?= base_url('ipanel/post/sales'); ?>"><i class="bi-plus-lg"></i> <span>Add</span> Product</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-6">
      <div class="container py-5 px-4">
        <div class="container p-3 border rounded">
          <h5 class="text-center pb-3"><b>Preview</b></h5>
          <div class="table-responsive px-0 px-md-3">
            <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
              <thead>
                <tr class="text-center">
                  <th width="20px">#</th>
                  <th>Product</th>
                  <th>Price (PU)</th>
                  <th>Units</th>
                  <th width="60px">Total</th>
                  <th width="60px">Action</th>
                </tr>
              </thead>
              <tbody id="drop-off">
  <?php } ?>
      <?php
        $c = 0; $sum = 0;
        foreach ($data as $row) { 
          $c++;
          $sum += $row['price'] * $row['quantity'];
      ?>
                <tr class="text-end text-danger<?= $row['save'] == 1 ? ' text-danger' : '' ?>">
                  <td width="20px"><?= $c; ?></td>
                  <td class="text-nowrap text-start"><?= $i[$row['item']]; ?></td>
                  <td><span class="money"><?= number_format($row['price']); ?></span></td>
                  <td><?= number_format($row['quantity'],0); ?></td>
                  <td class="text-end"><span class="money"><?= number_format(($row['price'] * $row['quantity']), 2); ?></span></td>
                  <td class="text-nowrap py-2">
                    <a href="javascript:void(0)" class="btn btn-sm mod" data-item="<?= $row['item']; ?>" 
                      data-ref="<?= $row['token']; ?>" data-count="<?= $row['quantity']; ?>"><i class="bi-pencil-square"></i></a>
                    <a href="<?= base_url('ipanel/drop/sales?token='.$row['token']); ?>" class="btn btn-sm text-danger" data-bs-toggle="modal" data-bs-target="#mModalX">
                      <i class="bi-trash3-fill"></i>
                      <span class="msg d-none">You are about to remove <b><?= $i[$row['item']]; ?></b> from this sales<br />Sure to continue?</span>
                    </a>
                  </td>
                </tr>
      <?php } ?>
      <?php if (count($data) == 0) { ?>
            <tr><td colspan="6" class="p-5 text-danger text-center">no data available</td></tr>
      <?php } else { ?>
                <tr>
                  <td colspan="4" class="text-end"><b>Total:</b></td>
                  <td colspan="2"><span class="money"><?= number_format($sum, 2); ?></span></td>
                </tr>
                <tr style="background-color: #fff!important;">
                  <td colspan="6">
                    <div class="py-2 text-end">
                      <a href="#" class="btn btn-supreme expand sub-url p-3" data-ref="<?= base_url('ipanel/put/sales?action=close'); ?>">Complete Entry</a>
                    </div>
                  </td>
                </tr>
      <?php } ?>
    <?php if ($tmp === '') { ?>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  <span id="base" class="d-none"><?= base_url('ipanel/put/sales'); ?></span>
</div>
<script type="text/javascript" src="<?= base_url('assets/js/'. md5('er_supply') .'.js'); ?>" defer></script>
  <?php } ?>
<?php endif ?>
<?php } ?>
