<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="px-2 px-md-4 banner">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
    <a href="javascript:void(0)">Settings</a>
  </div>
</div>
<div class="container-fluid pt-3">
  <ul class="list-group list-group-flush">

    <li class="list-group-item">
      <a href="<?= base_url('ipanel/warehouse.aspx') ?>">
        <div>
          <i class="bi-house-door-fill bi-2x"></i>
          <div class="px-2">
            Warehouse setting<div class="text-sm">Edit, Add or Remove Data</div>
          </div>
        </div>
        <i class="bi-chevron-right shade"></i>
      </a>
    </li>
    <!-- <li class="list-group-item">
      <a href="<?= base_url('ipanel/items.aspx') ?>">
        <div>
          <i class="bi-paint-bucket bi-2x"></i>
          <div class="px-2">
            Inventory setting<div class="text-sm">Edit, Add or Remove Data</div>
          </div>
        </div>
        <i class="bi-chevron-right shade"></i>
      </a>
    </li> -->
    <li class="list-group-item">
      <a href="<?= base_url('ipanel/outlet.aspx') ?>">
        <div>
          <i class="bi-diagram-3-fill bi-2x"></i>
          <div class="px-2">
            Outlets setting<div class="text-sm">Retail Stores</div>
          </div>
        </div>
        <i class="bi-chevron-right shade"></i>
      </a>
    </li>
    <!-- <li class="list-group-item">
      <a href="<?= base_url('ipanel/outlet.aspx') ?>">
        <div>
          <i class="bi bi-person-exclamation"></i>
          <div class="px-2">
            Account setting<div class="text-sm">Set up an account type</div>
          </div>
        </div>
        <i class="bi-chevron-right shade"></i>
      </a>
    </li> -->
    <li class="list-group-item">
      <a href="<?= base_url('ipanel/staff_setting.aspx') ?>">
        <div>
          <i class="bi bi-people-fill"></i>
          <div class="px-2">
            Staff setting<div class="text-sm">Manage Staff</div>
          </div>
        </div>
        <i class="bi-chevron-right shade"></i>
      </a>
    </li>
    <li class="list-group-item">
      <a href="<?= base_url('ipanel/shipping_settings.aspx') ?>">
        <div>
          <span class="ix ix-fuel" style="font-size: 1.5rem"></span>
          <div class="px-2">
            Shipping Details<div class="text-sm">Shipping fee price per distance</div>
          </div>
        </div>
        <i class="bi-chevron-right shade"></i>
      </a>
    </li>
    <li class="list-group-item">
      <a href="<?= base_url('ipanel/kpi.aspx') ?>">
        <div>
          <i class="bi bi-speedometer2"></i>
          <div class="px-2">
            KPI setting<div class="text-sm">Add or Edit KPI Metrix</div>
          </div>
        </div>
        <i class="bi-chevron-right shade"></i>
      </a>
    </li>
    <li class="list-group-item">
      <a href="<?= base_url('ipanel/settings_pos.aspx') ?>">
        <div>
          <i class="bi bi-cash-stack"></i>
          <div class="px-2">
            POS<div class="text-sm">Assign POS, set cash drawer code</div>
          </div>
        </div>
        <i class="bi-chevron-right shade"></i>
      </a>
    </li>
    <li class="list-group-item">
      <a href="<?= base_url('ipanel/preferences.aspx') ?>">
        <div>
          <i class="bi-gear-fill bi-2x"></i>
          <div class="px-2">
            Preferences<div class="text-sm">Company profile settings</div>
          </div>
        </div>
        <i class="bi-chevron-right shade"></i>
      </a>
    </li>

  </ul>
</div>