<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<form action="#" id="adder" autocomplete="off">
  <?php $uuid = (strlen($last) < 3) ? str_repeat('0', 3 - strlen($last)) . $last : $last; ?>
  <div class="form-group mb-3">
    <label>Name </label>
    <input type="text" class="form-control" value="<?= $data->name ?? '' ?>" name="name" required />
  </div>
  <div class="form-group mb-3">
    <label>Description<span class="text-danger text-sm">(optional)</span></label>
    <textarea class="form-control" name="description" required><?= $data->description ?? '' ?></textarea>
  </div>
  <div class="form-group mb-3">
    <select class="form-select" name="account_type" required>
      <option value="" class="d-none">Select Account Type</option>
  <?php foreach ($account_types as $row): ?>
      <option value="<?= $row['token'] ?>" <?= $data && $data->expenses_type == $row['token'] ? 'selected' : ''; ?>><?= $row['name'] ?></option>
  <?php endforeach ?>
    </select>
  </div>
  <?php $ref = (is_object($data)) ? 'put/account?target='.$data->token : 'post/account'; ?>
  <button class="btn btn-supreme w-100 submit" data-content="#drop-off" data-form="#adder" data-ref="<?= base_url('ipanel/'.$ref); ?>">Save</button>
</form>
