<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<form action="#" id="adder" autocomplete="off">
  <div class="form-group mb-3">
    <label for="r1" class="dropdown-item"><i class="bi-circle"></i> This Month
      <input type="radio" id="r1" name="range" value="1" class="d-none">
    </label>
    <label for="r2" class="dropdown-item"><i class="bi-circle"></i> Last Month
      <input type="radio" id="r2" name="range" value="2" class="d-none">
    </label>
    <label for="r3" class="dropdown-item"><i class="bi-circle"></i> This Year
      <input type="radio" id="r3" name="range" value="3" class="d-none">
    </label>
    <label for="r4" class="dropdown-item"><i class="bi-circle"></i> Custom
      <input type="radio" id="r4" name="range" value="" class="d-none">
    </label>
  </div>
  <div id="dates" class="d-none">
    <div class="form-group mb-3">
      Start Date
      <input type="date" name="start_date" class="form-control" value="<?= date('Y-m-d', strtotime('-1 day')) ?>">
    </div>
    <div class="form-group mb-3">
      Stop Date
      <input type="date" name="stop_date" class="form-control" value="<?= date('Y-m-d') ?>">
    </div>
  </div>
  <button class="btn btn-supreme w-100 submit" data-ref="<?= base_url('filter/'.$page.'?action=set'); ?>">Filter</button>
  <?php if (isset($_SESSION['prosc_'.$page.'_x'])): ?>
  <a href="javascript:void(0)" data-ref="<?= base_url('filter/'.$page.'?action=reset'); ?>" 
    class="btn btn-outline-supreme-2 mx-auto sub-url d-block text-danger"><i class="bi-arrow-repeat"></i> Reset</a>
  <?php endif ?>
</form>
<style type="text/css">
  label {font-size: 1rem !important;}
</style>
<script type="text/javascript">
  $('input[type="radio"]').change(function() {
    $('.bi-check2-circle').removeClass('bi-check2-circle').addClass('bi-circle');
    if ($(this).prop('checked') == true) {
      $(this).prev().toggleClass('bi-circle bi-check2-circle');
      $('#dates').addClass('d-none');
      if ($(this).attr('id') == 'r4') $('#dates').removeClass('d-none');
    }
  });
</script>
