<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<form action="#" onsubmit="return false" id="adder" autocomplete="off">
  <div class="form-group mb-3">
    <label>Item Name </label>
    <input type="text" class="form-control" value="<?= $data->name ?? '' ?>" name="name" required />
  </div>
  <div class="d-flex">
    <div class="form-group mb-3 me-1 w-100">
      <label>Unit</label>
      <input type="text" min="1" max="5" class="form-control" value="<?= $data->unit ?? 'KG' ?>" name="unit" required />
    </div>
    <div class="form-group mb-3 ms-1 w-100">
      <label>Select Category</label>
      <select class="form-select" name="category" required>
        <option value="" class="d-none">Category</option>
        <?php foreach ($categories as $row) : ?>
          <option value="<?= $row['token'] ?>" <?= $data && $data->category == $row['token'] ? 'selected' : ''; ?>><?= $row['name'] ?></option>
        <?php endforeach ?>
      </select>
    </div>
  </div>
  <div class="d-flex">
    <div class="form-group mb-3 me-1 w-100">
      <label>Stock Level</label>
      <input type="text" min="1" max="5" class="form-control" value="<?= $data->stock ?? '' ?>" name="stock" required />
    </div>
    <div class="form-group mb-3 ms-1 w-100">
      <label>Minimum Stock Level</label>
      <input type="text" min="1" max="5" class="form-control" value="<?= $data->min_stock ?? '' ?>" name="min_stock" required />
    </div>
  </div>
  <?php
  $price = json_decode($data->price ?? '', true) ?? ['a577f519b58b533e400cf28a7464576babf92121' => ''];
  ?>
  <div class="d-flex">
    <div class="form-group mb-3 me-1 w-100">
      <label>Cost Price(Per unit) </label>
      <input type="number" min="1" class="form-control" value="<?= $price['a577f519b58b533e400cf28a7464576babf92121'][1] ?? '' ?>" name="cost_price" required />
    </div>
    <div class="form-group mb-3 ms-1 w-100">
      <label>Selling Price(Pre unit) </label>
      <input type="number" min="1" class="form-control" value="<?= $price['a577f519b58b533e400cf28a7464576babf92121'][0] ?? '' ?>" name="price" required />
    </div>
  </div>
  <div class="d-flex">
    <div class="form-group mb-3 me-1 w-100">
      <label>Discount (%)<span class="text-danger text-sm">(optional)</span></label>
      <input type="text" min="1" max="5" class="form-control" value="<?= $data->discount ?? '' ?>" name="discount" required />
    </div>

  </div>
  <div class="form-group mb-3">
    <label>Description </label>
    <textarea class="form-control" name="description" id="tiny" required><?= $data->description ?? '' ?></textarea>
  </div>
  <div>Item Image<input type="hidden" name="image" id="image" value="" /></div>
  <div class="container text-center pb-3">
    <div id="main-cropper"></div>
    <div class="fileinput text-center" data-provides="fileinput">
      <label for="upload_image" class="border upload_container" data-trigger="fileinput" style="width: 240px; height:220px; overflow:hidden">
        <img src="<?= $data && $data->image != '' ? $data->image : 'https://placehold.jp/240x220.png' ?>" alt="..." id="img_prev" style="max-width: 100%; max-height: 100%; margin: auto;" />
        <input type="file" accept="image/*" class="d-none" id="upload_image">
      </label>
      <div id="image_demo"></div>
      <div class="">
        <label for="upload_image" class="btn btn-outline-supreme-2 load_btn">Change Item image</label>
        <label class="btn btn-danger done item">Crop</label>
      </div>
    </div>
  </div>
  <?php $ref = (is_object($data)) ? 'put/items?target=' . $data->token : 'post/items'; ?>
  <button class="btn btn-supreme w-100 submit" <?= $data && $data->image != '' ? '' : 'disabled' ?> data-content="#drop-off" data-form="#adder" data-ref="<?= base_url('ipanel/' . $ref); ?>">Save</button>
</form>

<script src="https://cdn.jsdelivr.net/npm/exif-js"></script>
<link rel="stylesheet" href="<?= base_url('assets/croppie/croppie.css'); ?>" />
<script type="text/javascript" src="<?= base_url('assets/croppie/croppie.min.js'); ?>"></script>
<script type="text/javascript" src="<?= base_url('assets/js/uploader.js') ?>"></script>
<!-- <script type="text/javascript">
  $('#mModal .modal-dialog').addClass('modal-lg');
  $('textarea#tiny').tinymce({
    height: 300,
    menubar: false,
    plugins: [
       'a11ychecker','advlist','advcode','advtable','autolink','checklist','export',
       'lists','link','image','charmap','preview','anchor','searchreplace','visualblocks',
       'powerpaste','fullscreen','formatpainter','insertdatetime','media','table','help','wordcount'
    ],
    toolbar: 'undo redo | a11ycheck casechange blocks | bold italic backcolor | alignleft aligncenter alignright alignjustify | bullist numlist checklist outdent indent | removeformat | code table help'
  });
</script> -->