<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<form action="#" id="adder" autocomplete="off">
  <div class="form-group mb-3">
    <input type="text" value="<?= $data->voucher ?? $voucher; ?>" name="autogen" class="form-control text-center" readonly />
  </div>
  <div class="form-group mb-3">
    <label>Select Date</label>
    <input type="date" name="dated" class="form-control" value="<?= $data->date ?? date('Y-m-d'); ?>" required />
  </div>
  <div class="form-group mb-3">
    <label>Select Outlet</label>
    <select class="form-select" id="select" name="outlet" required>
      <option value="" class="d-none">Select Recipient...</option>
      <option value="" class="text-center" disabled>- Warehouses -</option>
      <?php foreach ($outlets as $row) : ?>
        <?php if ($row['type'] == 0) : ?>
          <option value="<?= $row['token'] ?>" class="warehouse" <?= ($data && $data->outlet == $row['token'] ? 'selected' : ''); ?>><?= $row['name'] ?></option>
        <?php endif ?>
      <?php endforeach ?>
      <option value="" class="text-center" disabled>- Outlets -</option>
      <?php foreach ($outlets as $row) : ?>
        <?php if ($row['type'] == 1) : ?>
          <option value="<?= $row['token'] ?>" class="outlet" <?= ($data && $data->outlet == $row['token'] ? 'selected' : ''); ?>><?= $row['name'] ?></option>
        <?php endif ?>
      <?php endforeach ?>
    </select>
  </div>
  <?php $ref = (is_object($data)) ? 'put/supply_products?action=mod&target=' . $data->voucher : 'post/supply_products'; ?>

  <button class="btn btn-supreme w-100 submit" data-content="#drop-off" data-form="#adder" data-ref="<?= base_url('ipanel/' . $ref); ?>">Save</button>
</form>