<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Staff_performance_control extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();

        if (!isset($_SESSION['prosc_user']))
            redirect(base_url(), 'refresh');

        $this->load->model('staff_performance_model');
    }

    public function index()
    {
        $this->pager();
    }

    function pager($tmp = '')
    {
        if (!$this->input->is_ajax_request() && strstr(current_url(), '.aspx') == '') redirect(base_url('not_found.aspx'), 'refresh');
        $data = $this->staff_performance_model->_get_kpi_list() ?: [];
        $kpi = $this->staff_performance_model->_get($this->session->userdata('prosc_username'));
        if ($tmp == '') $this->load->view('default', ['page' => 'staff_performance', 'data' => $data, 'kpi' => $kpi, 'tmp' => $tmp]);
        else return $this->load->view('admin/staff_performance', ['data' => $data, 'kpi' => $kpi, 'tmp' => $tmp], true);
    }
}
