<?php
if (!defined('BASEPATH'))
  exit('No direct script access allowed');

class Track_model extends CI_Model {

  function __construct() {
    parent::__construct();
  }

  function _get($params) 
  {
    $sale = $this->db->get_where('er_sales', ['token'=>$params, 'status'=>0]);
    if ( ! ($sale->num_rows() > 0)) return false;
    return $sale->row();
  }

  function _get_waybill($params) 
  {
    $sale = $this->db->get_where('er_waybill', ['token'=>$params]);
    if ( ! ($sale->num_rows() > 0)) return false;
    return $sale->row();
  }

  function _get_all($params = '') 
  {
    $sales = $this->db->get_where('er_sales', ['status'=>0, 'voucher'=>$params]);
    if ( ! ($sales->num_rows() > 0)) return false;
    return $sales->result_array();
  }

  function _get_sum($k)
  {
    $this->db->select("voucher, SUM(total) as total");
    $sql = $this->db->get_where('er_sales', ['status'=>0, 'voucher'=>$k]);
    if ($sql->num_rows() > 0) return $sql->row('total');
    return false;
  }

  function _put($params, $target) 
  {
    $this->db->where('voucher', $target);
    $user = $this->db->update('er_sales', $params);
    if ( ! $user) return false;
    return true;
  }
}
