<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php
$s = $i = $o = $t = [];
$m = [];
foreach ($items as $key) $i[$key['token']]   = $key['name'];
foreach ($states as $key)  $m[$key['token']] = $key['name'];

if (count($data) == 0) {
?>
  <div class="text-center p-5">
    <h2><i class="bi-archive-fill bi-3x text-supreme"></i></h2>
    <h5 class="text-nowrap">No data available</h5>
  </div>
<?php } else { ?>
  <div class="px-2 px-md-4 banner">
    <div class="pb-2 crumb">
      <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
      <a href="javascript:void(0)">Create Waybill</a>
    </div>
    <div class="pb-2 banner border-0" style="margin-left: auto;">
      <?php if ($is_sales): ?>
        <a href="javascript:void(0)" class="btn btn-supreme " id="btnn"><i class="bi-plus-lg"></i> Sales Waybill</a>
      <?php else: ?>
        <a href="javascript:void(0)" class="btn btn-supreme " id="btnn"><i class="bi-plus-lg"></i> Supply Waybill</a>
      <?php endif ?>
    </div>
  </div>

  <form action="#" id="adder" class="kForm" autocomplete="off">
    <input type="hidden" value="<?= $name ?>" name='driverName'>
    <input type="hidden" value="<?= $phone ?>" name='driverPhone'>
    <input type="hidden" value="<?= $state ?>" name='state'>
    <input type="hidden" value="<?= $checkedVoucher ?>" name='voucher'>
    <div class="ml-5">
      <h4>Driver's name: <?= $name ?></h4>
      <h4>Driver's phone number: <?= $phone ?></h4>
      <h4>State: <?= $m[$state] ?></h4>

      <h5 class="ml-3"><b>List of available items to be delivered</h5>
    </div>
    <div class="table-responsive">
      <table class="table table-hovers">
        <thead>
          <tr>
            <th width="20px">#</th>
            <th width="20px"><input type="checkbox" id="all"></th>
            <th>ID</th>
            <th>Address</th>
            <th>Recipient</th>
            <th>Items</th>
            <th>No of Items</th>
            <th width="120px">Amount</th>
            <th width="120px">Date</th>
          </tr>
        </thead>
        <tbody id="drop-off">
          <?php
          $c = 0;
          $t = ($file) ? 'put' : 'post';
          foreach ($data as $row) : $c++;
          ?>
            <tr>
              <td><?= $c; ?></td>
              <td> <input type="checkbox" id="<?= $row['token'] ?>" name="items[]" value="<?= $row['item']  ?>">
              </td>

              <td>
                <?php
                echo $row['order_id'];
                ?>
              </td>
              <td><?= $row['address'] ?: 'N/A' ?></td>
              <td><?= $row['customer'] ?></td>
              <td><?= $i[$row['item']] ?></td>
              <td><?= $row['quantity'] ?></td>

              <td class="text-nowrap">
                <?php if ($currency == "GBP"): ?>
                  <i class="bi bi-currency-pound"></i><?= number_format($row['total'], 1); ?>
                <?php else: ?>
                  <span class="money"><?= number_format($row['total'], 1); ?></span>
                <?php endif; ?>
              </td>
              <td><?= date('d/m/Y', $row['date']); ?></td>
            </tr>
          <?php endforeach ?>
        </tbody>
      </table>
    </div>
    <?php if ($is_sales): ?>
      <button data-ref="<?= base_url("ipanel/post/waybill?token=" . $this->input->get('voucher')); ?>" class="d-none submit" id="btnn2"><i class="bi-plus-lg"></i>Sales Waybill</button>
    <?php else: ?>
      <button data-ref="<?= base_url("ipanel/post/waybill_supply?token=" . $this->input->get('voucher')); ?>" class="d-none submit" id="btnn2"><i class="bi-plus-lg"></i>Supply Waybill</button>
    <?php endif ?>

  </form>
<?php } ?>
<style type="text/css">
  #all,
  .in {
    margin-top: 5px;
    transform: scale(1.3);
  }
</style>
<script>
  $("#btnn").click(function(e) {
    e.preventDefault();
    $("#btnn2").trigger("click");
  });

  $('tbody tr').click(function(e) {
    if (e.target.className.indexOf('in') == -1) {
      $('.in', $(this)).click();
    }
  });

  $('#all').click(function(e) {
    $('.in').prop('checked', $(this).prop('checked'));
  });
</script>