<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>

<div class="px-2 px-md-4 banner">
    <div class="pb-2 crumb">
        <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="bi-chevron-right"></i>
        <a href="<?= base_url('ipanel/staff_setting.aspx') ?>">Staff Setting</a><i class="ix ix-chevron"></i>
        <a href="javascript:void(0)">KPI Update</a>
    </div>
    <div class="pb-2 banner border-0" style="margin-left: auto;">
        <div class="btn-group bg-light rounded px-2 me-1">
            <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
        </div>
    </div>
</div>

<div class="container-fluid pt-3">

    <h4>Review Performance</h4>
    <h6>Reviewee: <img src=" <?= $staff_data->photo; ?> " class="img-fluid rev-pic" alt="<?= $staff_data->username ?>" style="height: 40px;"> <?= $staff_data->name ?> </h5>
        <div class=''>

            <?= form_open('', ['class' => 'kForm p-3 pt-4 pb-5 rounded border PerformanceBox', 'autocomplete' => 'off']) ?>

            <?php foreach ($kpi_details as $row) : ?>
                <div class="indicatorBox">
                    <h3><?= $row ?></h3>
                    <select class="indicator_select" name="<?= $row ?>" required>
                        <option value="<?= $data[0][$row] ?>"><?= $data[0][$row] ?></option>
                        <option value="0.0">0.0</option>
                        <option value="0.5">0.5</option>
                        <option value="0.1">1.0</option>
                        <option value="1.5">1.5</option>
                        <option value="2.0">2.0</option>
                        <option value="2.5">2.5</option>
                        <option value="3.0">3.0</option>
                        <option value="3.5">3.5</option>
                        <option value="4.0">4.0</option>
                        <option value="4.5">4.5</option>
                        <option value="5.0">5.0</option>
                    </select>
                </div>
            <?php endforeach ?>
            <div class="text-area">
                <label for="feedback">Feedback</label>
                <textarea name="feedback" id="" cols="30" rows="10">
                    <?= $data[0]['feedback'] ?>
                </textarea>
            </div>


            <?php $ref = (empty($data)) ? 'post/kpi_update?target=' . $staff_data->username  : 'put/kpi_update?target=' . $data[0]['token']; ?>
            <button type="submit" class="btn btn-supreme w-100 submit" data-ref="<?= base_url('ipanel/' . $ref); ?>">Update</button>
            <?= form_close(); ?>

        </div>
</div>