<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>

<div class="px-2 px-md-4 banner">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
    <a href="<?= base_url('ipanel/complain.aspx'); ?>">Complaints</a><i class="ix ix-chevron"></i>
    <a href="javascript:void(0)" class="sub-url" data-ref="<?= base_url('ipanel/put/supply?action=close'); ?>">Complaints Details </a>
  </div>
</div>


<div class="container pt-3 px-3 py-2 px-md-4  bg-gray">
  <!-- <div class="heading px-3  bg-light  justify-content-middle align-items-center mx-auto" style="height: 50px">
      <h5 class="pt-3">Complaint Type: Dispatch</h5>
    </div> -->

  <div class="row">

    <div class="col-md-7">
      <div class="d-flex justify-content-between">
        <div class="container pt-3">
          <!--   border border-light
             container-fluid bg-white align-items-center mx-auto p-3 d-flex justify-content-between
          "h-60 w-80 p-3 d-flex align-items-center bg-light -->
          <div class=" bg-light align-items-center mx-auto p-3 d-flex justify-content-between">
            <h4>Complaint Type: <?= $data->type ?></h4>
          </div>


          <div class="border border-light h-474  my-4 p-3 ">

            <div class="border-dark pb-4">
              <div class="bg-light p-3  rounded">
                <h4 class="font-weight-bold border-bottom pb-2 border-white">
                  <?= $data->name ?>
                </h4>
                <p class="py-3">
                  <?= $data->message ?>
                </p>
              </div>
            </div>
            <!-- have if statment -->
            <?php if ($data->reply != "") { ?>
              <div class="border-bottom pt-4  pb-4">
                <div class="border border-light p-3 rounded">

                  <h4 class="font-weight-bold border-bottom pb-2 border-white">
                    Admin
                  </h4>
                  <p class="py-3">
                    <?= $data->reply ?>
                  </p>
                </div>
              </div>
            <?php } else { ?>
              <div class="border-bottom pt-4  pb-4">
              </div>
            <?php } ?>

            <span class="heading">
              <h6 class="font-weight-bold pt-3">Reply</h6>
            </span>
            <?= form_open('', ['class' => 'kForm p-3 pt-4 pb-5 rounded border', 'autocomplete' => 'off']) ?>
            <div class="border rounded p-2">
              <input type="text" value="<?= $data->reply; ?>" class="form-control border-0" name='reply' placeholder="Type a message" />
              <!-- Additional content goes here -->
            </div>
            <!-- icons logo -->
            <div class="row ">
              <div class="d-flex pt-3">
                <div class="col-6 float-right">
                  <!-- bold icom span -->
                  <span class="icon" onclick="makeTextBold()">
                    <i class="bi bi-type-bold"></i>
                  </span>

                  <!-- italic Text Icon -->
                  <span class="icon" onclick="makeTextBold()">
                    <i class="bi bi-type-italic"></i>
                  </span>

                  <!-- Underline Icon -->
                  <span class="icon" onclick="underlineText()">
                    <i class="bi bi-type-underline"></i>
                  </span>

                  <!-- More Options Icon -->
                  <span class="icon" onclick="showMoreOptions()">
                    <i class="bi bi-list-ul"></i>
                  </span>

                  <!-- Attach File Icon -->
                  <label for="fileInput" class="icon" onclick="attachFile()">
                    <i class="bi bi-paperclip"></i>
                  </label>
                  <input type="file" id="fileInput" style="display: none;" onchange="handleFileAttachment(this)">
                </div>

                <div class="col-6">
                  <div class="float-end">
                    <button type="submit" class="btn btn-supreme w-100 submit" data-ref="<?= base_url('ipanel/put/message?target=' . $data->token); ?>">Save</button>
                  </div>
                  <?= form_close(); ?>
                </div>

                <!-- endod-flexpt-3icon -->
              </div>
              <!-- endorowinnericon -->
            </div>
            <!-- endofcontainer -->
          </div>

          <!-- endocontainer -->
        </div>
        <!-- endofcontentbetween -->
      </div>

      <!-- endocol -->
    </div>

    <!-- last col on right -->
    <div class="col-sm-4 pt-3 rounded">
      <div class="border border-light d-flex float-right">
        <div class="container mt-5  bg-white w-30 h-60 p-3 align-items-center bg-white ">
          <h2 class="card-header pb-4"><?= $data->name ?></h2>
          <h5 class="header pt-3">Status: Read</h5>
          <h5 class="header pt-3">Date: <?= $data->created_at ?></h5>
          <h5 class="header pt-3">Email: <?= $data->remail ?></h5>
        </div>
      </div>
    </div>

  </div>

</div>

<script>
  function attachFile() {
    document.getElementById('fileInput').click();
  }

  function handleFileAttachment(input) {
    // Add your file handling logic here
    console.log('File attached:', input.files[0].name);
  }

  function makeTextBold() {
    // Add your logic to make text bold
    console.log('Text is now bold');
  }

  function underlineText() {
    // Add your logic to underline text
    console.log('Text is now underlined');
  }

  function showMoreOptions() {
    // Add your logic to show more options
    console.log('More options clicked');
  }
</script>
