<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {
    $s = $o = $staff  = [];
    $ot   = [];
    $oss = 0;
    foreach ($customers as $key) {
        $o[$key['token']]['name'] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['name'];
        $o[$key['token']]['phone'] = $key['phone'];
    }
    foreach ($items as $key) $ot[$key['token']]['item'] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['name'];
    foreach ($items as $key) $ot[$key['token']]['stock'] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['stock'];
    foreach ($data as $key) $staff[$key['token']] = $key;

    if ($tmp === '') :
        $psc = $this->session->userdata('prosc_users_date');
?>
        <div class="px-2 px-md-4 banner">
            <div class="pb-2 crumb">
                <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
                <a href="javascript:void(0)">Order details</a>
                <a href="javascript:void(0)">Order: XR<?= $order->order_id ?> </a>
            </div>
            <div class="pb-2 banner border-0" style="margin-left: auto;">
                <div class="btn-group bg-light rounded px-2 me-1">
                    <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
                </div>
                <a href="<?= base_url('ipanel/online_waybill.aspx?target=' . $order->order_id . '&token=' . $order->token) ?>" class="btn btn-supreme"></i> Waybill</a>
                <a href="<?= base_url('ipanel/pop/order_details?token=' . $order->token); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Update Shipment"><i class="bi-plus-lg"></i> Update shipment status</a>
            </div>
        </div>

        <div class="container-fluid pt-3 ">
            <div class='status_box'>
                <h5 class='mt-3 mb-3'>Shipping status: <?= $order->shipment_status ?></h5>
                <?php if ($order->shipment_status == 'Shipment Created') : ?>
                    <img src="<?= base_url('/assets/images/undraw_online_groceries_a02y.svg') ?>" alt="" class='status_img_2'>
                <?php elseif ($order->shipment_status == 'Shipped') : ?>
                    <img src="<?= base_url('/assets/images/undraw_order_delivered_re_v4ab.svg') ?>" alt="" class='status_img_2'>

                <?php elseif ($order->shipment_status == 'On transit') : ?>
                    <img src="<?= base_url('/assets/images/undraw_on_the_way_re_swjt.svg') ?>" alt="" class='status_img'>
                <?php else : ?>
                    <img src="<?= base_url('/assets/images/undraw_package_arrived_63rf.svg') ?>" alt="" class='status_img_2'>
                <?php endif ?>
            </div>
            <div>
                <?php if (count($data) > 0) : ?>
                    <h4 class="mt-3 text-center mb-3">Orders placed by customer ready to be shipped</h4>
                    <div class="table-responsive">
                        <table class="table <?= (count($data) > 0) ? ' table-hovers' : ''; ?> datatables">
                            <thead>
                                <tr class="text-center">
                                    <th width="20px">#</th>
                                    <th class="text-start">Order ID</th>
                                    <th class="text-start">Item</th>
                                    <th class="text-start">Customer</th>
                                    <th class="text-start">Shipment status</th>
                                    <th class="text-start">Quantity</th>
                                    <th class="text-start">Date</th>
                                    <th width="60px">Action</th>
                                </tr>
                            </thead>
                            <tbody id="drop-off">
                            <?php endif ?>
                            <?php
                            $c = 0;
                            foreach ($data as $row) {
                                $c++;
                            ?>
                                <tr>
                                    <td width="20px" class="text-end"><?= $c; ?></td>
                                    <td><?= $row['voucher']; ?></td>
                                    <td><?= $ot[$row['item']]['item']; ?></td>
                                    <td><?= $o[$row['customer']]['name']; ?></td>
                                    <td class="text-nowrap"><?= $row['order_status']; ?></td>
                                    <td class="text-nowrap"><?= $row['quantity']; ?></td>
                                    <td class="text-nowrap"><?= $row['created_at']; ?></td>
                                    <td class="text-nowrap"> <a href="<?= base_url('ipanel/put/shipping.aspx?target=' . $row['token']); ?>" class="btn btn-supreme"><i class="bi bi-folder2-open me-2"></i>Create shipment</a></td>
                                </tr>

                            <?php } ?>
                            <?php if (count($data) == 0) { ?>
                                <tr>
                                    <!-- <td colspan="8" class="p-5 text-danger text-center">no data available</td> -->
                                </tr>
                            <?php } ?>
                            <?php if ($tmp === '') : ?>
                            </tbody>
                        </table>
                    </div>
                <?php endif ?>
            </div>
        </div>
    <?php endif ?>
<?php } ?>