<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {
    $s = $o = $staff  = [];
    $ot   = [];
    $oss = 0;
    foreach ($customers as $key) {
        $o[$key['token']]['name'] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['name'];
        $o[$key['token']]['phone'] = $key['phone'];
    }
    foreach ($items as $key) $ot[$key['token']]['item'] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['name'];
    foreach ($items as $key) $ot[$key['token']]['stock'] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['stock'];
    foreach ($data as $key) $staff[$key['token']] = $key;


    if ($tmp === '') :
        $psc = $this->session->userdata('prosc_users_date');
?>
        <div class="px-2 px-md-4 banner">
            <div class="pb-2 crumb">
                <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px">
            </div>
            <div class="pb-2 crumb">
                <i class="ix ix-chevron"></i>
                <a href="javascript:void(0)">Online Orders</a>
            </div>
            <div class="pb-2 banner border-0" style="margin-left: auto;">
                <div class="btn-group bg-light rounded px-2">
                    <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
                </div>
                <!-- <a href="<?= base_url('ipanel/pop/users'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" data-title="New Staff"><i class="bi-plus-lg"></i> Add New Staff</a> -->
            </div>
        </div>
        <div class="banner container-fluid d-flex justify-content-end py-1 align-items-center ms-auto">
            <button class="btn btn-outline-supreme-2 pe-4 sub-url" data-ref="<?= base_url('navigate/users/prev'); ?>"><i class="bi-chevron-left"></i> Prev</button>
            <button class="btn mx-3"><?= (date('Y-m-d') == $psc or $psc == '') ? 'Today' : date('d M, Y', strtotime($psc)); ?></button>
            <button class="btn btn-outline-supreme-2 ps-4 sub-url" data-ref="<?= base_url('navigate/users/next'); ?>" <?= (date('Y-m-d') == $psc or $psc == '') ? 'disabled' : ''; ?>>Next <i class="ix ix-chevron"></i></button>
        </div>


        <div class="container-fluid pt-3">
            <div class="table-responsive">
                <table class="table <?= (count($data) > 0) ? ' table-hovers' : ''; ?> datatables">
                    <thead>
                        <tr class="text-center">
                            <th width="20px">#</th>
                            <th class="text-start">Order ID</th>
                            <th class="text-start">Name</th>
                            <th class="text-start">Customer name</th>
                            <th class="text-start">Customer Phone</th>
                            <th class="text-start">Order status</th>
                            <th class="text-start">Price</th>
                            <th class="text-start">Quantity</th>
                            <th class="text-start">Total</th>
                            <th width="60px">Date</th>
                            <th width="20px"></th>
                        </tr>
                    </thead>
                    <tbody id="drop-off">
                    <?php endif ?>
                    <?php
                    $c = 0;
                    foreach ($data as $row) {
                        $c++;
                    ?>
                        <tr>
                            <td width="20px" class="text-end"><?= ($row['order_confirmed'] == 0) ? '<span class="text-danger">*</span>' : '' ?><?= $c; ?></td>
                            <td>XD<?= $row['voucher']; ?></td>
                            <td><?= $ot[$row['item']]['item']; ?></td>
                            <td class="text-nowrap"><?= $row['customer_data']['name']; ?></td>
                            <td class="text-nowrap"><?= $row['customer_data']['phone']; ?></td>
                            <td class="text-nowrap"><?= $row['order_status']; ?></td>
                            <td class="text-nowrap"><?= $row['price']; ?></td>
                            <td class="text-nowrap"><?= $row['quantity']; ?></td>
                            <td class="text-nowrap"><?= $row['total']; ?></td>
                            <td class="text-nowrap"><?= date('d M, Y', strtotime($row['created_at'])); ?></td>
                            <td class="dropstart py-2">
                                <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
                                <div class="dropdown-menu">
                                    <?php if ($row['order_confirmed'] == 1) : ?>
                                        <a href="<?= base_url('ipanel/pop/orders?token=' . $row['token']); ?>" class="dropdown-item" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Change order status"><i class="bi bi-clipboard-check"></i> Open Order</a>
                                    <?php else : ?>
                                        <a href="<?= base_url('ipanel/put/orders?token=' . $row['token'] . '&item=' . $row['item'] . '&quant=' . ($ot[$row['item']]['stock'] - $row['quantity']) . '&action=approve'); ?>" class="text-success dropdown-item" data-bs-toggle="modal" data-bs-target="#mModalX">
                                            <i class="bi bi-bag-check"></i> Confirm order<span class="msg d-none">This operation will confirm <b><?= $row['voucher']; ?></b> order<br />Sure to continue?</span>
                                        </a>
                                        <a href="<?= base_url("ipanel/put/orders?token={$row['token']}&item={$row['item']}&quant=" . ($ot[$row['item']]['stock'] - $row['quantity']) . "&action=reject"); ?>" class="text-danger dropdown-item" data-bs-toggle="modal" data-bs-target="#mModalX">
                                            <i class="bi bi-bag-check"></i> Reject order<span class="msg d-none">This operation will reject? <b><?= $row['voucher']; ?></b> order<br />Sure to continue?</span>
                                        </a>
                                    <?php endif ?>
                                    <a href="<?= base_url('ipanel/drop/users?token=' . $row['token']); ?>" class="text-danger dropdown-item" data-bs-toggle="modal" data-bs-target="#mModalX">
                                        <i class="bi-trash3-fill"></i> Delete<span class="msg d-none">This operation will remove <b><?= $row['name']; ?></b> from the system<br />Sure to continue?</span></a>
                                </div>
                            </td>
                        </tr>
                    <?php } ?>
                    <?php if (count($data) == 0) { ?>
                        <tr>
                            <td colspan="8" class="p-5 text-danger text-center">no data available</td>
                        </tr>
                    <?php } ?>
                    <?php if ($tmp === '') : ?>
                    </tbody>
                </table>
            </div>
        </div>
    <?php endif ?>
<?php } ?>