<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if ($tmp == '') { ?>
  <div class="px-2 px-md-4 banner">
    <div class="pb-2 crumb">
      <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
      <a href="javascript:void(0)" class="sub-url" data-ref="<?= base_url('ipanel/put/sales?action=unsess'); ?>">Sales</a><i class="ix ix-chevron"></i>
      <a href="javascript:void(0)">Create Sale</a>
    </div>
  </div>
  <div class="container p-0 p-md-3">
    <div class="row g-0">
      <div class="col-md-6 col-xl-5 border-end">
        <div class="container p-md-5 px-lg-4">
          <div class="container p-3 border rounded">
            <div class="p-3">
              <h5 class="text-center pb-3"><b>Create Sale</b></h5>
              <table class="table border table-hovers">
                <tbody>
                  <tr>
                    <td><b>ORDER</b></td>
                    <td class="text-end"><?= $_SESSION['prosc_sales_key']; ?></td>
                  </tr>
                  <tr>
                    <td><b>DATE</b></td>
                    <td class="text-end"><?= date('d M, Y', strtotime($_SESSION['prosc_sales_dated'])); ?></td>
                  </tr>
                  <tr>
                    <td><b>BUYER</b></td>
                    <td class="text-end"><?= $_SESSION['prosc_sales_name']; ?></td>
                  </tr>
                  <tr>
                    <td><b>PHONE</b></td>
                    <td class="text-end"><?= $_SESSION['prosc_sales_phone']; ?></td>
                  </tr>
                </tbody>
              </table>
              <form action="#" id="adder" class="kForm position-relative" autocomplete="off">
                <div id="loader" class="out"></div>
                <!-- <div class="form-group mb-3 mb-3">  
              <input type="checkbox" id="vehicle1" name="order_type" value="1">  Sales Order (Optional)
              </div> -->

                <div class="form-group mb-3 mb-3">
                  <select id="select" class="form-select" data-dselect-search="true" name="item">
                    <option class="d-none" value="">Select Product ...</option>
                    <?php $curr = ''; ?>
                    <?php foreach ($items as $row) { ?>
                      <?php if ($curr != $row['category']) : $curr = $row['category']; ?>
                        <optgroup label="<?= $t[$row['category']]; ?>"></optgroup>
                      <?php endif ?>
                      <option id="i<?= $row['token'] ?>" value="<?= $row['token'] ?>">
                        <?= $row['name']; ?>
                        (<?= (array_key_exists($row['token'], $stocks) && $stocks[$row['token']] > 0) ? (number_format($stocks[$row['token']]) . ' units left') : 'out of stock' ?>)
                      </option>
                    <?php } ?>
                  </select>
                </div>
                <div class="form-group mb-3">
                  <label>&nbsp; Unit Price</label>
                  <select id="price" class="form-select" disabled>
                    <option class="d-none">Price will show here</option>
                    <?php foreach ($items as $row) { ?>
                      <option id="p<?= $row['token'] ?>" value="<?= $row['token'] ?>"><?= $row['price']; ?></option>
                    <?php } ?>
                  </select>
                </div>
                <div class="form-group mb-3">
                  <label>Quantity</label>
                  <input type="number" class="form-control" min="1" name="quantity" id="qty" required />
                </div>
                <?php if ($this->session->userdata('prosc_sales_type') == 1) : ?>
                  <div class="form-group mb-3">
                    <div class="form-check form-switch">
                      <input class="form-check-input" type="checkbox" id="manual" name="setman" />
                      <label class="form-check-label" for="manual">Set Price Manually</label>
                    </div>
                  </div>
                  <div class="form-group mb-3 d-none">
                    <label>Price (Per Unit)</label>
                    <input type="number" class="form-control" min="1" id="manprice" name="manual_price" />
                  </div>
                <?php endif ?>
                <div class="text-end">
                  <button class="btn submit" id="send" data-ref="<?= base_url('ipanel/post/sales'); ?>"><i class="bi-plus-lg"></i> <span>Add</span> Product</button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
      <div class="col-md-6 col-xl-7">
        <div class="container py-5 px-4">
          <div class="container p-3 border rounded" id="drop-off">
          <?php } ?>
          <h5 class="text-center pb-3"><b>Preview</b></h5>
          <div class="table-responsive" style="min-height: 0;">
            <table class="table table-hovers">
              <thead>
                <tr>
                  <th width="20px">#</th>
                  <th>Product</th>
                  <th>Price (PU)</th>
                  <th>Units</th>
                  <th width="60px">Total</th>
                  <th width="60px"></th>
                </tr>
              </thead>
              <tbody>
                <?php
                $c = 0;
                $sum = 0;
                foreach ($datax as $row) {
                  $c++;
                  $sum += $row['price'] * $row['quantity'];
                ?>
                  <tr class="text-end text-danger<?= $row['save'] == 1 ? ' text-danger' : '' ?>">
                    <td width="20px"><?= $c; ?></td>
                    <td class="text-nowrap text-start"><?= $i[$row['item']]; ?></td>
                    <td>
                      <?php if ($currency == "GBP"): ?>
                        <i class="bi bi-currency-pound"></i><?= number_format($row['price']); ?>
                      <?php else: ?>
                        <span class="money"><?= number_format($row['price']); ?></span>
                      <?php endif; ?>
                    </td>
                    <td><?= number_format($row['quantity'], 0); ?></td>
                    <td class="text-end">

                      <?php if ($currency == "GBP"): ?>
                        <i class="bi bi-currency-pound"></i><?= number_format(($row['price'] * $row['quantity'])); ?>
                      <?php else: ?>
                        <span class="money"><?= number_format(($row['price'] * $row['quantity'])); ?></span>
                      <?php endif; ?>
                    </td>
                    <td class="text-nowrap py-2">
                      <a href="javascript:void(0)" class="btn btn-sm mod" data-item="<?= $row['item']; ?>" data-ref="<?= $row['token']; ?>" data-count="<?= $row['quantity']; ?>"><i class="bi-pencil-square"></i></a>
                      <a href="<?= base_url('ipanel/drop/sales?token=' . $row['token']); ?>" class="btn btn-sm text-danger" data-bs-toggle="modal" data-bs-target="#mModalX">
                        <i class="bi-trash3-fill"></i>
                        <span class="msg d-none">You are about to remove <b><?= $i[$row['item']]; ?></b> from this sales<br />Sure to continue?</span>
                      </a>
                    </td>
                  </tr>
                <?php } ?>
                <?php if (count($datax) == 0) { ?>
                  <tr>
                    <td colspan="6" class="p-5 text-danger text-center">no data available</td>
                  </tr>
                <?php } else { ?>
                  <tr>
                    <td colspan="4" class="text-end"><b>Total:</b></td>
                    <td colspan="2">
                      <?php if ($currency == "GBP"): ?>
                        <i class="bi bi-currency-pound"></i><?= number_format($sum); ?>
                      <?php else: ?>
                        <span class="money"><?= number_format($sum); ?></span>
                      <?php endif; ?>
                    </td>
                  </tr>
                <?php } ?>
              </tbody>
            </table>


          </div>
          <?php if (count($datax) > 0) { ?>
            <form class="form-group mb-3 kForm">
              <!-- <label>Amount To Be Paid</label>
              <input type="number" name="pay-amount" class="form-control w-75 ms-1" value="100" required /> -->
              <div class="py-2 text-end">
                <a href="<?= base_url('ipanel/put/sales?action=close&as-order=true'); ?>" class="btn border sub-url py-2 px-3" data-bs-toggle="modal" data-bs-target="#mModalX">
                  Save <span class="msg d-none">This operation will make this data entry a <b>Sales Order</b> <br />Inventory will not be affected by the data here<br />Sure to continue?</span>
                </a>
                <button href="#" class="btn btn-supreme sub-url py-2 px-3" data-ref="<?= base_url('ipanel/put/sales?action=close'); ?>">Complete Entry</button>
              </div>
            </form>

          <?php } ?>
          <?php if ($tmp === '') { ?>
          </div>
        </div>
      </div>
    </div>
    <span id="baseX" class="d-none"><?= base_url('ipanel/put/sales'); ?></span>
  </div>
  <script type="text/javascript" src="<?= base_url('assets/js/' . md5('er_supply') . '.js'); ?>" defer></script>
  <script type="text/javascript">
    $('#adder').on('reset', function() {
      $('#manprice').parent().addClass('d-none');
    });
    $('#manual').on('change', function() {
      $('#manprice').parent().toggleClass('d-none');
    })
  </script>
<?php } ?>