<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) { 
  $s = [];
  $total = 0;
  $total_cost = 0;
  $total_expenses = 0;
  $warehouse_sales  = [];
  $warehouse_expenses  = [];
  foreach ($outlets as $key) $outlet[$key['token']] = $key['name'];
  foreach ($users as $key) {
    $user[$key['token']] = $key['name'];
    $user_station[$key['warehouse']] = $key['name'];
  }
  foreach ($items as $key) { $item[$key['token']] = $key['name']; $itemx[$key['token']] = $key['price']; $itemy[$key['token']] = $key['cost_price']; }
  
  if ($expenses != false) {
    foreach ($expenses as $key){
      $total_expenses = $key['amount'] + $total_expenses;
      
      if ( ! array_key_exists($key['warehouse'], $warehouse_expenses)){
        $warehouse_expenses[$key['warehouse']] = $key['amount'];
      } else {
        $warehouse_expenses[$key['warehouse']] = $warehouse_expenses[$key['warehouse']] + $key['amount'];
      }
    }
  }
  if ($sales != false) {
    foreach ($sales as $key){
      $total = $key['total'] + $total;
      $total_cost = $key['total_cost_price'] + $total_cost;
      
      if ( ! array_key_exists($key['warehouse'], $warehouse_sales)){
        $warehouse_sales[$key['warehouse']] = $key['total'];
      } else {
        $warehouse_sales[$key['warehouse']] = $warehouse_sales[$key['warehouse']] + $key['total'];
      }
    }
  }
  
  if ($tmp === ''):
    $ped = $this->session->userdata('prosc_sales_report_date');
?>
<div class="px-2 px-md-4 mb-3 banner d-print-none">
  <div class="pb-2 crumb">
      <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="bi-chevron-right"></i>
      <a href="javascript:void(0)">Sales</a> <i class="bi-chevron-right"></i> <a href="javascript:void(0)">Sales Details</a>
  </div>
  <div class="pb-2 ms-auto">
    <div class="btn-group bg-light rounded px-2">
      <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
      <a href="<?= base_url('filter/'.$page) ?>" class="btn" data-title="Filter" data-bs-toggle="modal" data-bs-target="#mModal" ><i class="bi-filter"></i></a>
    </div>
    <a class="btn btn-supreme rounded-0" id="download2x" onclick="window.print()">
      <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-cloud-arrow-down-fill" viewBox="0 0 16 16">
        <path d="M8 2a5.53 5.53 0 0 0-3.594 1.342c-.766.66-1.321 1.52-1.464 2.383C1.266 6.095 0 7.555 0 9.318 0 11.366 1.708 13 3.781 13h8.906C14.502 13 16 11.57 16 9.773c0-1.636-1.242-2.969-2.834-3.194C12.923 3.999 10.69 2 8 2zm2.354 6.854-2 2a.5.5 0 0 1-.708 0l-2-2a.5.5 0 1 1 .708-.708L7.5 9.293V5.5a.5.5 0 0 1 1 0v3.793l1.146-1.147a.5.5 0 0 1 .708.708z"/>
      </svg> Download
    </a>
  </div>
</div>
<?php $x = $_SESSION['prosc_sales_report_x'] ?? ''; ?>
<?php $y = $_SESSION['prosc_sales_report_y'] ?? ''; ?>
<?php $dated = (!isset($_SESSION['prosc_sales_report_x'])) ? (($ped == NULL)? date('Y-m-d'):date('d M Y', strtotime($ped))) : (date('d M Y', strtotime($x)) .' - '. date('d M Y', strtotime($y))); ?>
<div class="d-none d-print-block text-center pb-4">
  <h6>Sales Report for: &nbsp; <b><?= $dated; ?></b></h6>
</div>

<div class="container-fluid">
  <div class="d-flex justify-content-end d-print-none pb-0 align-items-center ms-auto">
<?php if (!isset($_SESSION['prosc_sales_report_x'])): ?>
    <button class="btn btn-outline-supreme-2 pe-4 sub-url" data-ref="<?= base_url('navigate/sales_report/prev'); ?>"><i class="bi-chevron-left"></i> Prev</button>
    <button class="btn mx-3"><?= (date('Y-m-d') == $ped OR $ped == '') ? 'Today' : date('d M, Y', strtotime($ped)); ?></button>
    <button class="btn btn-outline-supreme-2 ps-4 sub-url" data-ref="<?= base_url('navigate/sales_report/next'); ?>" 
      <?= (date('Y-m-d') == $ped OR $ped == '') ? 'disabled' : ''; ?>>Next <i class="bi-chevron-right"></i></button>
<?php else: ?>
    <div class="btn"><?= date('d M, Y', strtotime($_SESSION['prosc_sales_report_x'])) ?> &nbsp; - &nbsp; <?= date('d M, Y', strtotime($_SESSION['prosc_sales_report_y'])) ?></div>
<?php endif ?>
  </div>
  <div class="px-2 px-md-4 mb-4 mt-3 banner mx-auto" style="justify-content: space-between; align-items: center ;font-weight: 800; ">
    
    <div><!-- Today: --> <?= $dated; ?></div>  
      <div>Total Sales:  <span class="money"><?= number_format($total, 2);   ?> <br /> 
           Profit: &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;   <span class="money"><?= number_format(($total - $total_expenses - $total_cost), 2); ?>
      </div>
      
</div>
  <div class="table-responsive" id="paper">
    <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
      <thead>
        <tr>
          <th width="20px" class="text-center">#</th>
          <th>Outlet Name</th>
          <th>Personnel</th>
          <th>Amount</th>
          <th width="20px"></th>
        </tr>
      </thead>
      <tbody id="drop-off">
<?php endif ?>
  <?php
    $c = 0;
    foreach ($data as $row) { 
      if (($warehouse_sales[$row['token']] ?? 0) <= 0) continue;
      $c++;
  ?>
        <tr>
          <td width="20px" class="text-end"><?= $c; ?></td>
          <td class="text-nowrap"><?= $outlet[$row['token']] ?></td>
          <td class="text-nowrap"><?= $user_station[$row['token']] ??  '<span style="font-style:italic">No staff </i>' ?></td>
          <td class="text-nowrap"><span class="money"><?= @number_format($warehouse_sales[$row['token']] , 2) ?? '<span style="font-style:italic">No Sales </i>' ?></td>  
          <td class="py-2">
            <a href="<?= base_url('ipanel/sales_report_details.aspx?token='.$row['token']); ?>" class="btn btn-sm" 
              data-title="Modify Request"><i class="bi-chevron-right shade"></i></a>  
          </td>
        </tr>
  <?php } ?>
  <?php if (count($data) == 0) { ?>
      <tr><td colspan="7" class="p-5 text-danger text-center">no data available</td></tr>
  <?php } ?>
<?php if ($tmp === ''): ?>
      </tbody>
    </table>
    <!-- <div class="p-2 p-md-4 d-flex justify-content-around" style="font-weight: 800; "><?= $dated ?>&nbsp; &nbsp; &nbsp;Total Sales:  <?= number_format($total, 2);  ?> 
    <div class="p-2 p-md-4 d-flex justify-content-around" style="font-weight: 800; "><?= $dated ?>&nbsp; &nbsp; &nbsp;Total Profit:  <?= number_format(($total - $total_expenses - $total_cost), 2);  ?>  -->
    </div>
  </div>
</div>
<?php endif ?>
<?php } ?>
