<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {
    $s = $o = $staff = $chart = [];
    $oss = 0;
}
foreach ($states as $key) $s[$key['token']] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['name'];
foreach ($outlets as $key) {
    $o[$key['token']]['name'] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['name'];
    $o[$key['token']]['state'] = $key['state'];
}
foreach ($data as $key) $staff[$key['token']] = $key;
foreach ($hss as $key) $oss += $key['total'];

if ($tmp === '') :
    $psc = $this->session->userdata('prosc_users_date');
?>
    <div class="px-2 px-md-4 banner">
        <div class="pb-2 crumb">
            <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
            <a href="<?= base_url('ipanel/settings.aspx'); ?>">Setting</a><i class="ix ix-chevron"></i>
            <a href="javascript:void(0)">Staff Setting</a>
        </div>
        <div class="pb-2 banner border-0" style="margin-left: auto;">
            <div class="btn-group bg-light rounded px-2 me-1">
                <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
            </div>
            <a href="<?= base_url('ipanel/pop/users'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" data-title="New Staff"><i class="bi-plus-lg"></i> Add Staff</a>
        </div>
    </div>

    <div class="container-fluid pt-3">
        <div class="table-responsive">
            <table class="table <?= (count($data) > 0) ? ' table-hovers' : ''; ?> datatables">
                <thead>
                    <tr class="text-center">
                        <th width="20px">#</th>
                        <th></th>
                        <th class="text-start">Staff ID</th>
                        <th class="text-start">Name</th>
                        <th class="text-start">Station</th>
                        <th class="text-start">Location</th>
                        <th width="60px">Action</th>
                    </tr>
                </thead>
                <tbody id="drop-off">
                <?php endif ?>
                <?php
                $c = 0;
                foreach ($data as $row) {
                    $c++;
                ?>
                    <tr>
                        <td width="20px" class="text-end"><?= $c; ?></td>
                        <td class="py-2 text-center"><img src=" <?= $row['photo']; ?> " class="img-fluid" alt="<?= $row['username']; ?>" style="height: 40px;"></td>
                        <td><?= $row['username']; ?></td>
                        <td><?= $row['name']; ?></td>
                        <td class="text-nowrap"><?= $o[$row['warehouse']]['name'] ? $o[$row['warehouse']]['name'] : 'Online warehouse' ?></td>
                        <td class="text-nowrap"><?= $s[$o[$row['warehouse']]['state']] ? $s[$o[$row['warehouse']]['state']] : 'Lagos' ?></td>
                        <td class="text-nowrap"> <a href="<?= base_url('ipanel/kpi_update.aspx?target=' . $row['username']); ?>" class="btn btn-supreme"><i class="bi-plus-lg me-1"></i>KPI</a></td>
                    </tr>

                <?php } ?>
                <?php if (count($data) == 0) { ?>
                    <tr>
                        <td colspan="8" class="p-5 text-danger text-center">no data available</td>
                    </tr>
                <?php } ?>
                <?php if ($tmp === '') : ?>
                </tbody>
            </table>
        </div>
    </div>
<?php endif ?>