<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) { 
  $s = [];
  foreach ($outlets as $key) $outlet[$key['token']] = $key['name'];
  foreach ($users as $key) $user[$key['token']] = $key['name'];
  foreach ($items as $key) $item[$key['token']]       = $key['name'];
  foreach ($items as $key)     $itemx[$key['token']]       = $key['price'];
  if ($tmp === ''):
?>
<div class="table-responsive">
  <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
    <thead>
      <tr class="text-center">
      <th width="20px">#</th>
      <th class="text-start">Request ID</th>
      <th class="text-start">Staff</th>
      <th class="text-start">Station</th>
        <th class="text-start">Item Name</th>
        <th class="text-start">Amount Total</th>
        <th class="text-start">Created Date</th>
        <th width="60px">Status</th>
        <th width="60px">option</th>
      </tr>
    </thead>
    <tbody id="drop-off">
<?php endif ?>
  <?php
    $c = 0;
    foreach ($data as $row) { 
      $c++;
      $msg = json_decode($row['message'], true);
      $status = $row['approve'] == 0 ? '<p style="background-color: #f7f7f9; color:#6f42c1; font-size: 12px;"> Awaiting approval </p>' : ($row['approve'] == 1 ? '<p style="background-color: #C1FFD5; color:#35824E; font-size: 12px;" ><i class="bi-check2 text-success"></i> Approved </p>' : '<p style="background-color: #F8F8F8; color:black; font-size: 12px;"><i class="bi-x-lg text-danger"></i> Completed</p>');
      $content = ($msg['purpose'] == 0) ? substr($msg['message'], 0, 30) : ('Order placement for '. count($msg['message']) .' Item(s)');
  ?>
      <tr>
        <td width="20px" class="text-end"><?= $c; ?></td>
        <td class="text-nowrap"><?= $row['voucher'] ?></td>
        <td class="text-nowrap"><?= $user[$row['messenger']] ?></td>
        <td class="text-nowrap"><?= $outlet[$row['warehouse']] ?></td>
        <td ><div width="5px">
          <?php foreach($msg as $key => $val){
              if(is_array($val)){
                $e = count($val);
                   foreach($val as $i => $x){
                          echo $item[$i] . (($e > 1)? ", ":"");
                   }
                  }
          };?>
    </div>
    </td>
    <td class="text-nowrap">
      <?php 
      foreach($msg as $key => $val){
              if(is_array($val)){
                $sum = 0;
                   foreach($val as $i => $x){
                          $d = json_decode($itemx[$i],true);
                          $sum = $sum + $d['a577f519b58b533e400cf28a7464576babf92121'] * $x;
                   }
                   echo "₦ ".number_format($sum,2,".",",");
                  }
          } ?>
          </td>
    
        <td class="text-nowrap"><?= date('d M, Y', strtotime($row['created_at'])); ?></td>
        <td class="text-nowrap"><?= $status; ?></td>
        <td class="text-nowrap py-1">
        <a href="<?= base_url('ipanel/pop/admin_request?token='.$row['token']); ?>" class="btn " data-bs-toggle="modal" data-bs-target="#mModal" 
            data-title="Modify Request"><i class="bi-chevron-right shade"></i></a>
            
            <span class="msg d-none">This operation will remove request at row: <b><?= $c; ?></b> from the system<br />Sure to continue?</span>
          </a>
        
        </td>
      </tr>
  <?php } ?>
  <?php if (count($data) == 0) { ?>
      <tr><td colspan="7" class="p-5 text-danger text-center">no data available</td></tr>
  <?php } ?>
<?php if ($tmp === ''): ?>
    </tbody>
  </table>
</div>
<?php endif ?>
<?php } ?>

