<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<form action="#" id="adder" autocomplete="off">
  <div class="form-group mb-3">
    <input type="text" value="<?= $data->voucher ?? $voucher; ?>" name="autogen" class="form-control text-center" readonly />
  </div>
  <!-- <div class="form-group mb-3">
    <label>Date of Sale</label>
    <input type="date" name="dated" class="form-control" value="<?= $data->date ?? date('Y-m-d'); ?>" required />
  </div> -->
  <div class="form-group mb-3">
    <label>Customer Type</label>
    <select class="form-control" name="c-type" onchange="check(event)" required>
      <!-- <option value="" class="d-none">Select Type</option> -->
      <option value="walk-in">Walk-in</option>
      <option value="special" <?= $data && $data->type == 1 ? 'selected' : '' ?>>Special Customer</option>
    </select>
  </div>
  <div id="spec" class="<?= (!$data or $data->type != 1) ? 'd-none' : '' ?>">
    <div class="form-group mb-3">
      <label>Customer Name</label>
      <select class="form-select" name="customer" data-dselect-search="true" id="specials" required>
        <option value="" class="d-none">Customer Name</option>
        <?php foreach ($clients as $row) :
          $serial = strlen($row['id']) < 3 ? str_repeat('0', 3 - strlen($row['id'])) : '';
          $serial .= $row['id'];
        ?>
          <option value="<?= $row['token'] ?>" <?= $data && $data->customer == $row['token'] ? 'selected' : ''; ?>>SCC <?= "$serial | {$row['name']}" ?></option>
        <?php endforeach ?>
      </select>
    </div>

    <!-- <div class="form-group mb-3">
      <label>Payment Type</label>
      <select class="form-control" name="pay-type" onchange="$('#install').toggleClass('d-none');" required>
        <option value="paynow">Pay Now</option>
        <option value="install" <?= $data && $data->span > 0 ? 'selected' : ''; ?>>Installmental Payment</option>
      </select>
    </div> -->

    <div id="install" class="form-group mb-3">
      <!-- <div class="form-group mb-3">
        <label>Amount To Be Paid</label>
        <input type="number" name="pay-amount" class="form-control" value="100" required />
      </div> -->
      <div class="form-group mb-3">
        <label>Payment Span (in days)</label>
        <input type="number" step="7" name="pay-span" min="1" class="form-control" value="<?= $data->span ?? '' ?>" placeholder="60 days" required />
      </div>
    </div>
    <!-- <?php if ($data && $data->span == 0) : ?>
    <div class="p-3 text-center"><em>Use the "payment tracking" option to modify payment details for this sale</em></div>
  <?php endif ?> -->
  </div>
  <div id="walk" class="<?= $data && $data->type == 1 ? 'd-none' : '' ?>">
    <div class="form-group mb-3">
      <label>Customer Name</label>
      <input type="text" name="name" class="form-control" placeholder="Enter name" value="<?= $data->customer_name ?? ''; ?>" required />
    </div>
    <div class="form-group mb-3">
      <label>Phone Number</label>
      <input type="text" name="phone" minlength="11" class="form-control" placeholder="Enter phone number" value="<?= $data->customer_phone ?? ''; ?>" required />
    </div>
    <div class="form-group mb-3">
      <label>E-Mail (optional)</label>
      <input type="email" name="email" class="form-control" placeholder="Enter email address" required />
    </div>
    <div class="form-group mb-3">
      <label>Address</label>
      <input type="text" name="address" class="form-control" placeholder="Enter your address" value="<?= $data->address ?? ''; ?>" required />
    </div>
  </div>

  <?php $ref = (is_object($data)) ? 'put/sales?action=mod&target=' . $data->voucher : 'post/sales'; ?>
  <button class="btn btn-supreme w-100 submit mt-3" data-content="#drop-off" data-form="#adder" data-ref="<?= base_url('ipanel/' . $ref); ?>">Proceed</button>
</form>
<style type="text/css">
  #specials+button.btn {
    outline: none !important;
    border-radius: 0 !important;
  }
</style>
<script type="text/javascript">
  function check(e) {
    if (e.target.value == 'walk-in') {
      $('#spec').addClass('d-none');
      $('#walk').removeClass('d-none');
    } else {
      $('#walk').addClass('d-none');
      $('#spec').removeClass('d-none');
    }
  }
</script>