<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<form action="#" onsubmit="return false" id="adder" autocomplete="off">
  <!-- <div class="form-group mb-3">
    <label>Username</label>
    <input type="text" value="<?= $data->username ?? ""; ?>" name="username" class="form-control" />
  </div> -->
  <div class="form-group mb-3">
    <label>Name</label>
    <input type="text" class="form-control" value="<?= $data->name ?? '' ?>" name="name" required />
  </div>
  <div class="form-group mb-3">
    <label>Phone Number</label>
    <input type="text" class="form-control" value="<?= $data->phone ?? '' ?>" name="phone" required />
  </div>
  <div class="form-group mb-3">
    <label>Email <span class="text-danger">(optional)</span></label>
    <input type="text" class="form-control" value="<?= $data->email ?? '' ?>" name="email" required />
  </div>
  <div class="form-group mb-3">
    Designation: &nbsp; &nbsp;
    <p class="d-block d-md-none" />
    <div class="form-check form-check-inline">
      <input class="form-check-input" type="radio" name="type" id="t1" value="1" <?= $data && $data->type == '2' ? '' : 'checked'; ?>>
      <label class="form-check-label" for="t1">Warehouse</label>
    </div>
    <div class="form-check form-check-inline">
      <input class="form-check-input" type="radio" name="type" id="t2" value="2" <?= $data && $data->type == '2' ? 'checked' : ''; ?>>
      <label class="form-check-label" for="t2">Outlet</label>
    </div>
    <div class="form-check form-check-inline">
      <input class="form-check-input" type="radio" name="type" id="t3" value="3" <?= $data && $data->type == '3' ? 'checked' : ''; ?>>
      <label class="form-check-label" for="t3">Online staff</label>
    </div>
  </div>

  <div class="form-group mb-3">
    <select class="form-select" id="select" name="outlet" required>
      <option value="" class="d-none">Select Station...</option>
      <?php $select = (!$data or ($data && $data->type != '2')) ? '' : ' style="display: none"'; ?>
      <?php foreach ($outlets as $row) : if ($row['status'] == 1) continue; ?>
        <?php if ($row['type'] == 0) : ?>
          <option value="<?= $row['token'] ?>" class="warehouse" <?= $select . ($data && $data->warehouse == $row['token'] ? 'selected' : ''); ?>><?= $row['name'] ?></option>
        <?php endif ?>
      <?php endforeach ?>
      <?php $select = ($data && $data->type == '2') ? '' : ' style="display: none"'; ?>
      <?php foreach ($outlets as $row) : ?>
        <?php if ($row['type'] == 1) : ?>
          <option value="<?= $row['token'] ?>" class="outlet" <?= $select . ($data && $data->warehouse == $row['token'] ? 'selected' : ''); ?>><?= $row['name'] ?></option>
        <?php endif ?>
      <?php endforeach ?>
    </select>
  </div>

  <!-- <div class="form-group mb-3">
    <select class="form-select" name="state" required>
      <option value="" class="d-none">Select State...</option>
      <?php foreach ($states as $row) : ?>
        <option value="<?= $row['token'] ?>" <?= $data && $data->location == $row['token'] ? 'selected' : ''; ?>><?= $row['name'] ?></option>
      <?php endforeach ?>
    </select>
  </div> -->

  <?php $ref = (is_object($data)) ? 'put/users?target=' . $data->token : 'post/users'; ?>
  <button class="btn btn-supreme w-100 submit" data-content="#drop-off" data-form="#adder" data-ref="<?= base_url('ipanel/' . $ref); ?>">Save</button>
</form>

<script type="text/javascript">
  $('[name="type"]').change(function() {
    $('#select').val('');
    if ($(this).attr('id') == 't1') {
      $('.outlet').hide();
      $('.warehouse').show();

    } else if ($(this).attr('id') == 't2') {
      $('.outlet').show();
      $('.warehouse').hide();
    } else {
      $('.outlet').hide();
      $('.warehouse').hide();
    }
  })
</script>