<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) { 
  $s = [];
  foreach ($account_types as $key) $cat[$key['token']] = $key['name'];
  if ($tmp === ''):
?>
<div class="px-2 px-md-4 banner">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
    <!-- <a href="javascript:void(0)">Accounting</a> <i class="ix ix-chevron"></i> -->
     <a href="javascript:void(0)">Chart of Account</a>
  </div>
  
  <div class="pb-2 ms-auto">
    <div class="btn-group bg-light rounded px-2">
      <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
    </div>
    <a href="<?= base_url('ipanel/pop/account'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" 
    data-title="New Account"><i class="bi-plus-lg"></i> Add Account</a>
  </div>
</div>
<div class="container-fluid pt-3">
  <div class="table-responsive">
    <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
      <thead>
        <tr class="text-center">
          <th width="20px">#</th>
          <th class="text-start">Name</th>
          <th class="text-start">Description</th>
          <th class="text-start">Account Type</th>
          <th width="60px">Created</th>
          <th width="20px"></th>
        </tr>
      </thead>
      <tbody id="drop-off">
  <?php endif ?>
    <?php
      $c = 0;
      foreach ($data as $row) { 
        $c++;
    ?>
        <tr>
          <td width="20px" class="text-end"><?= $c; ?></td>
          <td><?= $row['name']; ?></td>
          <td><?= $row['description']; ?></td>
          <td><?= $cat[$row['expenses_type']]; ?></td>
          <td class="text-nowrap"><?= date('d M, Y', strtotime($row['created_at'])); ?></td>
          <td class="dropdown py-2">
            <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
            <div class="dropdown-menu dropdown-menu-end">
              <a href="<?= base_url('ipanel/pop/account?token='.$row['token']); ?>" class="dropdown-item modal-trigger" data-bs-toggle="modal" data-bs-target="#mModal" 
                data-title="Edit C/A Details"><i class="bi-pen"></i> Edit details</a>
              <a href="<?= base_url('ipanel/drop/account?token='.$row['token']); ?>" class="dropdown-item modal-trigger" data-bs-toggle="modal" data-bs-target="#mModalX">
                <i class="bi-trash3-fill text-danger"></i> Remove
                <span class="msg d-none">This operation will remove <b><?= $row['name']; ?></b> from the system<br />Sure to continue?</span>
              </a>
            </div>
          </td>
        </tr>
    <?php } ?>
    <?php if (count($data) == 0) { ?>
        <tr><td colspan="6" class="p-5 text-danger text-center">no data available</td></tr>
    <?php } ?>
  <?php if ($tmp === ''): ?>
      </tbody>
    </table>
  </div>
</div>
<?php endif ?>
<?php } ?>
