<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if ($data) { 
  $s = [];
  // foreach ($outlets as $key) $outlet[$key['token']] = $key['name'];
  // foreach ($users as $key) $user[$key['token']] = $key['name'];
  foreach ($items as $key) { $item[$key['token']] = $key['name']; $itemx[$key['token']] = $key['price']; }
  
  $tag = ($data->approve == 0) ? 'primary' : (($data->approve == 1) ? 'success' : 'light');
  $status = $data->approve == 0 ? 'Awaiting approval' : ($data->approve == 1 ? '<i class="bi-check2"></i> Approved' : '<i class="bi-x-lg"></i> Completed');
?>
<div class="px-2 px-md-4 banner">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
    <a href="<?= base_url('ipanel/admin_request.aspx') ?>">Request</a> <i class="ix ix-chevron"></i> 
    <a href="javascript:void(0)">Request Details</a>
  </div>
  <?php if ($data->approve != 1): ?>
  <div class="btn "> 
  <a  href="<?= base_url('ipanel/pop/details.aspx?token='.$data->token); ?>" data-bs-toggle="modal" data-bs-target="#mModal"  data-title="Modify Request"><i class="bi-pencil-square"></i>edit</a>
            
    <a href="<?= base_url('ipanel/admin_request?action=approve&target='.$data->token); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModalX" data-title="Approve Request"> Approve Request 

      <span class="msg d-none">Are you sure you want to approve this request and create supply entry?</span>
    </a> 
  </div>
  <?php endif ?>
</div>

<div class="py-3 px-2 px-md-4 banner">
  <div class="crumb">Request ID: <?= $data->voucher; ?></div>
  <div class="text-end" width="200px">Status: <span class="badge text-bg-<?= $tag; ?>"><?= $status ; ?></span></div>
</div>
<div class="container-fluid pt-3">
  <div class="table-responsive">
    <table class="table table-hovers">
      <thead>
        <tr>
          <th width="20px">#</th>
          <th>Item Name</th>
          <th>Quantity</th>
          <th class="text-center" width="120px">Price (PU)</th>
          <th class="text-center" width="120px">total</th>  
          <!-- edit and delete option --> 
          <th width="60px"></th> 
        </tr>
      </thead>
      <tbody id="drop-off">
        

        <!-- grand total cal -->
    <?php
      $c = $sum = 0;
      $info = json_decode($data->message, true) ?: [];
      foreach ($info['message'] as $key => $val) {
        $d = json_decode($itemx[$key], true) ?: ['a577f519b58b533e400cf28a7464576babf92121'=>0];
        $price = $d['a577f519b58b533e400cf28a7464576babf92121'][0] ?? 0;
        $sum += $price * $val;
        $c++;
    ?>
       <tr>
          <td width="20px" class="text-end"><?= $c; ?></td>
          <td ><?= $item[$key]; ?></td>
          <td ><?= $val; ?></td>
          <td class="text-end"><span class="money"><?= number_format($price, 2); ?></td>
          <td class="text-end"><span class="money"><?= number_format($price * $val, 2); ?></td>

          <!-- <td class="dropstart py-1">
            <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
            <div class="dropdown-menu">
            <a href="<?= base_url('ipanel/pop/details.aspx?target='.$data->token); ?>" class="dropdown-item"  data-bs-toggle="modal" data-bs-target="#mModal" 
              data-title="Modify Request"><i class="bi-pencil-square"></i>edit</a>
            
             
            </div>
          </td> -->

          

        </tr>
    <?php }?>
      </tbody>
      <tfoot>
    <?php if (!$data) { ?>
        <tr><td colspan="5" class="p-5 text-danger text-center">no data available</td></tr>
    <?php } else { ?>
        <tr><td colspan="5" class="p-3 text-center" style="font-size: 1.2em">Grand Total: <b class="money ms-4"><?= number_format($sum, 2); ?></b></td></tr>
    <?php } ?>
      </tfoot>
    </table>
  </div>
</div>
<?php } ?>
