<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {

    if ($tmp === '') :
?>
        <div class="px-2 px-md-4 banner d-print-none">
            <div class="pb-2 crumb">
                <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
                <?php if ($this->session->userdata('prosc_admin') === true) : ?>
                    <a href="<?= base_url('ipanel/pop/inventory'); ?>" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Select Warehouse/Outlet">
                        Inventory</a><i class="ix ix-chevron"></i>
                <?php else : ?>
                    <a href="javascript:void(0)">Inventory</a><i class="ix ix-chevron"></i>
                <?php endif ?>
                <!-- <a href="javascript:void(0)">Sales Outlets</a><i class="ix ix-chevron"></i> -->
                <a href="javascript:void(0)">Online warehouse</a>
            </div>
            <div class="pb-2 banner border-0" style="margin-left: auto;">
                <?php if ($this->session->userdata('prosc_admin') === true) : ?>
                    <!-- <div class="btn-group bg-light rounded px-2">
                        <button class="btn">Top up inventory</button>
                    </div> -->
                <?php endif ?>
                <a href="javascript:void(0)" onclick="location.reload()" class="btn "><i class="bi-arrow-clockwise"></i> Refresh</a> <a class="btn btn-supreme rounded-0" id="download2x" onclick="window.print()">
                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-cloud-arrow-down-fill" viewBox="0 0 16 16">
                        <path d="M8 2a5.53 5.53 0 0 0-3.594 1.342c-.766.66-1.321 1.52-1.464 2.383C1.266 6.095 0 7.555 0 9.318 0 11.366 1.708 13 3.781 13h8.906C14.502 13 16 11.57 16 9.773c0-1.636-1.242-2.969-2.834-3.194C12.923 3.999 10.69 2 8 2zm2.354 6.854-2 2a.5.5 0 0 1-.708 0l-2-2a.5.5 0 1 1 .708-.708L7.5 9.293V5.5a.5.5 0 0 1 1 0v3.793l1.146-1.147a.5.5 0 0 1 .708.708z" />
                    </svg> Download
                </a>
            </div>
        </div>
        <div class="text-end pt-3 px-4">
            <b class="text-nowrap">Average Inventory Cost: <span id="icost">calculating...</span></b><br />
            <b class="text-nowrap">Total Inventory Cost: <span id="isale">calculating...</span></b>
        </div>


        <div class="container-fluid">
            <div class="table-responsive">
                <table class="table table-hovers">

                    <tbody id="drop-off">
                    <?php endif ?>
                    <?php
                    $c = $itotal = $ctotal = 0;
                    $category = '';
                    foreach ($cats as $key) {
                        $itotal += $key['cost_price'] * $data[$key['token']];
                        $ctotal += $key['sale_price'] * $data[$key['token']];
                        if ($category != $key['category']) : $category = $key['category'];
                    ?>
                            <tr>
                                <td colspan="6" style="background-color: #fff!important;"></td>
                            </tr>
                            <tr>
                                <td colspan="6" class="bg-light ps-5">
                                    <h5 class="mb-0"><b><?= ucwords($key['category']); ?></b></h5>
                                </td>
                            </tr>
                            <tr style="background-color: #fff!important;">
                                <td width="20px"><b>#</b></td>
                                <td class="text-start"><b>Product</b></td>
                                <td class="text-start"><b>Discount</b></td>
                                <td><b>Cost Price (PU)</b></td>
                                <td><b>Selling Price (PU)</b></td>
                                <td class="text-nowrap"><b>Stock <br />Level</b></td>

                            </tr>
                        <?php endif ?>

                        <tr class="<?= $data[$key['token']] <= $items[$key['token']]['min_stock'] ? 'blink' : '' ?>">
                            <td width="20px"><?= ++$c; ?> </td>
                            <td><?= $key['name'] ?></td>
                            <td><?= $key['discount'] ?></td>
                            <td>
                                <?php if ($currency == "GBP"): ?>
                                    <i class="bi bi-currency-pound"></i><?= number_format($key['cost_price']); ?>
                                <?php else: ?>
                                    <span class="money"><?= number_format($key['cost_price']); ?></span>
                                <?php endif; ?>
                            </td>
                            <td>
                                <?php if ($currency == "GBP"): ?>
                                    <i class="bi bi-currency-pound"></i><?= number_format($key['sale_price']); ?>
                                <?php else: ?>
                                    <span class="money"><?= number_format($key['sale_price']); ?></span>
                                <?php endif; ?>
                            </td>
                            <td><?= $key['stock'] ?></td>
                        </tr>

                    <?php }
                    if (count($data) == 0) { ?>
                        <tr>
                            <td colspan="5" class="p-5 text-danger text-center">no data available</td>
                        </tr>
                    <?php } ?>
                    <?php if ($tmp === '') : ?>
                    </tbody>
                </table>
            </div>
        </div>
    <?php endif ?>
<?php } ?>
<script type="text/javascript">
    let totalx = '<?= number_format(($itotal + $ctotal) / 2) ?>';
    let totaly = '<?= number_format($ctotal) ?>';
    let currency = '<?= $currency ?>';
    if (currency == 'GBP') {
        $('#icost').text('£ ' + totalx);
        $('#isale').text('£ ' + totaly);
    } else {
        $('#icost').addClass('money').text(totalx);
        $('#isale').addClass('money').text(totaly);
    }
</script>
<!-- <style type="text/css">
    .blink {
        animation: blink 1s linear infinite alternate;
    }

    @keyframes blink {
        from {
            background-color: #fff;
        }

        to {
            background-color: #EE6555;
            color: #fff;
        }
    }
</style> -->