<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php if (is_array($data)) { 
  $s = [];
  foreach ($states as $key) $s[$key['token']] = $key['name'];
  if ($tmp === ''):
?>
<div class="px-2 px-md-4 banner">
  <div class="pb-2 crumb">
    <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
    <a href="<?= base_url('ipanel/settings.aspx'); ?>">Settings</a><i class="ix ix-chevron"></i>
    <a href="javascript:void(0)">Outlet Settings</a><i class="ix ix-chevron"></i>
    <a href="javascript:void(0)">Outlets (<?= count($data) ?>)</a>
  </div>
  <div class="pb-2 banner border-0" style="margin-left: auto;">
    <div class="btn-group bg-light rounded px-2">
      <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
    </div>
    <a href="<?= base_url('ipanel/pop/outlet'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" 
      data-title="New Outlet"><i class="bi-plus-lg"></i> Add Outlet</a>
  </div>
</div>
<div class="container-fluid pt-3">
  <div class="table-responsive">
    <table class="table<?= (count($data) > 0) ? ' table-hovers' : ''; ?>">
      <thead>
        <tr class="text-center">
          <th width="20px">#</th>
          <th class="text-start">Name</th>
          <th class="text-start">State</th>
          <th class="text-start">Address</th>
          <th width="120px">Created</th>
          <th width="20px"></th>
        </tr>
      </thead>
      <tbody id="drop-off">
  <?php endif ?>
    <?php
      $c = 0;
      foreach ($data as $row) { 
        $c++;
    ?>
        <tr>
          <td width="20px" class="text-end"><?= $c; ?></td>
          <td><?= $row['name']; ?></td>
          <td class="text-nowrap"><?= $s[$row['state']]; ?></td>
          <td class="text-nowrap"><?= $row['address']; ?></td>
          <td class="text-nowrap"><?= date('d M, Y', strtotime($row['created_at'])); ?></td>
          <td class="dropstart py-2">
            <button class="btn btn-sm" data-bs-toggle="dropdown"><i class="bi-three-dots-vertical"></i></button>
            <div class="dropdown-menu">
              <a href="<?= base_url('ipanel/pop/outlet?token='.$row['token']); ?>" class="dropdown-item" data-bs-toggle="modal" data-bs-target="#mModal" data-title="Edit Outlet"><i class="bi-pencil-square me-2"></i> Edit</a>
              <a href="<?= base_url('ipanel/drop/outlet?token='.$row['token']); ?>" class="dropdown-item text-danger" data-bs-toggle="modal" data-bs-target="#mModalX">
                <i class="bi-trash3-fill me-2"></i> Delete
                <span class="msg d-none">This operation will remove <b><?= $row['name']; ?></b> from the system<br />Sure to continue?</span>
              </a>
            </div>
          </td>
        </tr>
    <?php } ?>
    <?php if (count($data) == 0) { ?>
        <tr><td colspan="7" class="p-5 text-danger text-center">no data available</td></tr>
    <?php } ?>
  <?php if ($tmp === ''): ?>
      </tbody>
    </table>
  </div>
</div>
  <?php endif ?>
<?php } ?>
