<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (is_array($data)) {
    $s = $o = $staff  = [];
    $ot   = [];
    $oss = 0;
    foreach ($customers as $key) {
        $o[$key['token']]['name'] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['name'];
        $o[$key['token']]['phone'] = $key['phone'];
    }
    foreach ($outlets as $key) {
        $oot[$key['token']]['name'] = $key['name'];
    }

    foreach ($items as $key) $ot[$key['token']]['item'] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['name'];
    foreach ($items as $key) $ot[$key['token']]['stock'] = (($key['status'] == 1) ? '<span class="text-danger">*</span>' : '') . $key['stock'];
    foreach ($data as $key) $staff[$key['token']] = $key;

    if ($tmp === '') :
        $psc = $this->session->userdata('prosc_users_date');
?>
        <div class="px-2 px-md-4 banner">
            <div class="pb-2 crumb">
                <img src="<?= base_url('assets/images/favicon.png'); ?>" width="40px"><i class="ix ix-chevron"></i>
                <a href="javascript:void(0)">Shipping</a>
            </div>
            <div class="pb-2 banner border-0" style="margin-left: auto;">
                <div class="btn-group bg-light rounded px-2 me-1">
                    <button class="btn" onclick="$('#search').focus()"><i class="bi-search"></i></button>
                </div>
                <a href="<?= base_url('ipanel/pop/shipping'); ?>" class="btn btn-supreme" data-bs-toggle="modal" data-bs-target="#mModal" data-title="New Shipment"><i class="bi-plus-lg"></i> Create new shipment</a>
            </div>
        </div>

        <div class="container-fluid pt-3">
            <div class="table-responsive">
                <table class="table <?= (count($data) > 0) ? ' table-hovers' : ''; ?> datatables">
                    <thead>
                        <tr class="text-center">
                            <th width="20px">#</th>
                            <th class="text-start">Order ID</th>
                            <th class="text-start">Item</th>
                            <th class="text-start">Customer</th>
                            <th class="text-start">Shipment status</th>
                            <th class="text-start">Delivery address</th>
                            <th class="text-start">Quantity</th>
                            <th class="text-start">Date</th>
                            <!-- <th width="60px">Waybill</th> -->
                            <th width="60px">Action</th>
                        </tr>
                    </thead>
                    <tbody id="drop-off">
                    <?php endif ?>
                    <?php
                    $c = 0;
                    foreach ($data as $row) {
                        $c++;
                    ?>
                        <tr>
                            <td width="20px" class="text-end"><?= $c; ?></td>
                            <td>
                                <?php if ($row['customer'] == 'Xcel Supply') : ?>
                                    SP<?= $row['order_id']; ?>
                                <?php else: ?>
                                    XR<?= $row['order_id']; ?>
                                <?php endif ?>

                            </td>
                            <td><?= $ot[$row['item']]['item']; ?></td>
                            <td>
                                <?php if ($row['customer'] == 'Xcel Supply') : ?>
                                    <?= $row['customer']; ?>
                                <?php else: ?>
                                    <?= $o[$row['customer']]['name']; ?>
                                <?php endif ?>

                            </td>
                            <td class="text-nowrap"><?= $row['shipment_status']; ?></td>
                            <td class="text-nowrap">
                                <?php if ($row['customer'] == 'Xcel Supply') : ?>
                                    <?= $oot[$row['delivery_address']]['name']; ?>
                                <?php else: ?>
                                    <?= $row['delivery_address']; ?>
                                <?php endif ?>
                            <td class="text-nowrap"><?= $row['quantity']; ?></td>
                            <td class="text-nowrap"><?= $row['created_at']; ?></td>
                            <!-- <td class="text-nowrap"> <a href="<?= base_url('ipanel/online_waybill.aspx?target=' . $row['order_id'] . '&token=' . $row['token']); ?>" class="btn btn-supreme">Open waybill</a></td> -->
                            <td class="text-nowrap"> <a href="<?= base_url('ipanel/order_details.aspx?target=' . $row['token']); ?>" class="btn btn-supreme"><i class="bi bi-folder2-open me-2"></i>Open</a></td>
                        </tr>

                    <?php } ?>
                    <?php if (count($data) == 0) { ?>
                        <tr>
                            <td colspan="8" class="p-5 text-danger text-center">no data available</td>
                        </tr>
                    <?php } ?>
                    <?php if ($tmp === '') : ?>
                    </tbody>
                </table>
            </div>
        </div>
    <?php endif ?>
<?php } ?>