<?php
defined('BASEPATH') or exit('No direct script access allowed');
include('head.php');
?>
<div id="spinner"><img src="<?= base_url('assets/images/spinner.png'); ?>"></div>
<div class="container-fluid px-0 h-100" id="main-content">
  <div class="d-print-none" id="fakeNav">
    <div class="container">
      <div class="container px-2 py-1 flex-container mt-4" style="height: 70px; overflow: hidden;">
        <object class="" data="<?= base_url('/assets/images/logo.png') ?>" height="100%"></object>
      </div>
      <ul class="nav round overflow-hidden flex-column pb-3">
        <?php include('admin/nav.php'); ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid px-0 h-100" id="main">
    <div class="d-print-none bg-white d-flex justify-content-between align-items-center py-3" style="height: 54px; z-index: 1;">
      <h5 id="title" class="px-3 m-0"><b></b></h5>
      <form action="#" method="get" class="d-none d-md-block" autocomplete="off">
        <div class="form-group pad position-relative">
          <input type="text" name="s" style="min-width: 400px; font-size: 1rem; color: inherit;" placeholder="Search" id="search" class="bg-white pe-3 py-2 border rounded ps-5">
          <span class="d-block" style="position: absolute; top: 0; left: 8px; bottom: 0; padding: .7rem;"><span class="ix ix-search"></span></span>
        </div>
      </form>
      <div class="d-flex align-items-center">
        <div>
          <a href="<?= base_url('ipanel/notifications'); ?>" class="btn py-2 mx-1 bg-white position-relative" style="font-size: 1.5rem;">
            <span class="ix ix-bell"></span>
            <span class="position-absolute bg-danger text-white px-1 rounded" style="font-size: .56rem; top: 14px; right: 16px;"><?= $_SESSION['prosc_notice'] ?? 1 ?></span>
          </a>
        </div>
        <?php
        if ($this->session->userdata('prosc_admin') === true) : ?>
          <div class="px-3 d-md-block d-none">
            <b><?= $this->session->userdata('prosc_name'); ?></b>
            <br /><span style="font-size: .8em;"><?= $this->session->userdata('prosc_mail'); ?></span>
          </div>
        <?php else : ?>

          <div class="px-3 d-md-block d-none">
            <b><?= $this->session->userdata('prosc_name'); ?></b>
            <br /><span style="font-size: .8em;"><?= $this->session->userdata('prosc_mail'); ?>
              <?php if ($this->session->userdata('prosc_type') == 1) : ?>
                (Warehouse staff)
              <?php elseif ($this->session->userdata('prosc_type') == 2) : ?>
                (Outlet staff)
              <?php else : ?>
                (Online staff)
              <?php endif; ?>
            </span>
          </div>
        <?php endif; ?>
        <div class="dropdown d-none d-md-block pe-md-3">
          <button class="btn p-0 overflow-hidden" data-bs-toggle="dropdown" style="width: 40px; height: 40px;">
            <img src="<?= $_SESSION['prosc_image']; ?>" class="img-fluid" />
          </button>
          <div class="dropdown-menu dropdown-menu-end">
            <a href="<?= base_url('ipanel/profile.aspx'); ?>" class="dropdown-item"><i class="bi-pencil-square"></i> Edit Profile</a>
            <a href="<?= base_url('signout'); ?>" class="dropdown-item" data-bs-toggle="modal" data-bs-target="#mModalX" data-title="Log out">
              <i class="bi-power text-danger"></i> Log out
              <span class="msg d-none">Click <b class="text-secondary">YES</b> to confirm sign out</span>
            </a>

          </div>
          <span class="d-none" id="base"><?= base_url() ?></span>
        </div>
        <button class="d-block d-md-none btn text-warning btn-lg t1 d-block d-md-none" style="text-shadow: .5px .5px .5px #333;"><i class="bi-list"></i></button>
      </div>
    </div>
    <div class="page py-3 position-relative" style="height: calc(100% - 54px);">
      <div id="main-container" class="position-absolute bgs" style="padding: 12px 0; top: 6px; left: 0; right: 0; bottom: 0; overflow-y: auto;">
        <?php include('admin/' . $page . '.php'); ?>
      </div>
    </div>
  </div>
</div>
<div class="d-print-none">
  <?php include('modals.php'); ?>
</div>
<link rel="stylesheet" type="text/css" href="<?= base_url('assets/dselect/dselect.min.css') ?>">
<script type="text/javascript" src="<?= base_url('assets/dselect/dselect.min.js'); ?>"></script>
<?php if (in_array($page, ['debtors', 'users', 'sales_chart_details', 'sales_report_detailz', 'sales_report_details', 'inventory'])) : ?>
  <link href="https://cdn.datatables.net/v/bs5/jszip-3.10.1/dt-1.13.6/b-2.4.1/b-html5-2.4.1/b-print-2.4.1/datatables.min.css" rel="stylesheet">
  <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/2.4.1/css/buttons.dataTables.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/pdfmake.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/vfs_fonts.js"></script>
  <script src="https://cdn.datatables.net/v/bs5/jszip-3.10.1/dt-1.13.6/b-2.4.1/b-html5-2.4.1/b-print-2.4.1/datatables.min.js"></script>
  <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.4.1/js/dataTables.buttons.min.js"></script>
  <script type="text/javascript" src="https://cdn.datatables.net/buttons/2.4.1/js/buttons.html5.min.js"></script>
  <script type="text/javascript">
    let exporting = <?= in_array($page, ['debtors']) ? 1 : 0; ?>;
    $('.datatable').dataTable({
      dom: 'Bfrtip',
      buttons: exporting === 1 ? [{
        extend: 'collection',
        text: 'Export <span class="ix ix-chevron rotate-90"></span>',
        buttons: [{
            extend: 'pdf',
            exportOptions: {
              columns: "thead th:not(:last-child)"
            }
          },
          {
            extend: 'excel',
            exportOptions: {
              columns: "thead th:not(:last-child)"
            }
          },
        ]
      }] : [],
      lengthChange: false,
      language: {
        paginate: {
          next: '<span class="ix ix-chevron"></span>',
          previous: '<span class="ix ix-chevron rotate-180"></span>'
        }
      }
    });
  </script>
<?php endif ?>
</body>

</html>