<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>

<form action="#" id="adder" autocomplete="off">
  <div class="form-group mb-3">
    <label>Driver Name</label>
    <input type="text" value="" name="driver" class="form-control" />
  </div>
  <div class="form-group mb-3">
    <label>Driver Phone</label>
    <input type="text" value="" name="phone" class="form-control" />
  </div>
  <div class="form-group mb-3">
    <label>Select state</label>
    <select class="form-select" name="state" required>
      <?php foreach ($states as $row) : ?>
        <option value="<?= $row['token'] ?>" <?= $data && $data->state == $row['token'] ? 'selected' : ''; ?>><?= $row['name'] ?></option>
      <?php endforeach ?>
    </select>
  </div>
  <div class="form-group mb-3">
    <h6>Select order</h6>
    <select class="form-select" name="voucher" required>
      <option value="" class="d-none">Select Supply/Sales</option>
      <?php foreach ($sales as $row) : ?>
        <option value="<?= $row['voucher'] ?>">
          <?php
          if ($row['type'] == 'supply')
            $voucher = 'SPY-' . $row['voucher'];
          elseif ($row['type'] == 1) {
            $voucher = 'WI-' . $row['voucher'];
          } else {
            $voucher = 'OC-' . $row['voucher'];
          }
          echo $voucher;
          ?>
          -- <?= $row['station'] ?></label><br>
        </option>

      <?php endforeach ?>
    </select>
  </div>
  <?php $ref = 'open/dispatch'; ?>
  <button class="btn btn-supreme w-100 submit" data-content="#drop-off" data-form="#adder" data-ref="<?= base_url('ipanel/' . $ref); ?>">Proceed</button>
</form>