<?php if (!isset($data)) exit('') ?>
<div class="container-fluid px-0 py-3 d-flex justify-content-between">
  <div class="w-100 me-1">
    <div class="my-3"><b>From</b></div>
    <span style="font-size: .8em">Name</span>
    <div class="bg-light p-3">Xcel Sales</div>
    <!-- <span style="font-size: .8em">Email</span><div class="bg-light p-3"><?= $settings['mail'] ?></div> -->
    <span style="font-size: .8em">Address</span>
    <div class="bg-light p-3"><?= $settings['address'] ?></div>
    <span style="font-size: .8em">Business number</span>
    <div class="bg-light p-3"><?= $settings['phone'] ?></div>
  </div>
  <div class="w-100 ms-1">
    <div class="my-3"><b>For</b></div>
    <span style="font-size: .8em">Name</span>
    <div class="bg-light p-3"><?= $data[0]['receipt'] ?></div>
    <span style="font-size: .8em">Business number</span>
    <div class="bg-light p-3"><?= $data[0]['phone'] ?></div>

  </div>
</div>
<div class="table-responsive">
  <table class="table">
    <thead>
      <tr class="text-center">
        <th width="20px">#</th>
        <th class="text-start">Product</th>
        <th class="text-start">Category</th>
        <th width="100px">Price (PU)</th>
        <th width="60px">Quantity</th>
        <th width="100px">Sub total</th>
      </tr>
    </thead>
    <tbody>
      <?php
      $c = $total = 0;
      $k = '';

      foreach ($itemx as $key) $i[$key['token']] = $key['category'];
      foreach ($cats as $key) $t[$key['token']]  = $key['name'];
      foreach ($data as $row) : $c++;
        $price = $items[$row['item']]['price'];
        $quantity = $row['quantity'];
        $total += $price * $quantity;
      ?>

        <td><?= $c ?></td>
        <td class="text-start text-wrap"><?= $items[$row['item']]['name']  ?></td>
        <td class="text-start text-wrap"><?= $t[$i[$row['item']]]  ?></td>
        <td>
          <?php if ($currency == "GBP"): ?>
            <span>£ </span><?= number_format($price, 1); ?>
          <?php else: ?>
            <span class="money"><?= number_format($price, 1) ?></span>
          <?php endif; ?>
        </td>
        <td><?= intval($quantity); ?></td>
        <td>
          <?php if ($currency == "GBP"): ?>
            <span>£ </span><?= number_format($row['total'], 1); ?>
          <?php else: ?>
            <span class="money"><?= number_format($row['total'], 1); ?></span>
          <?php endif; ?>
          <span class="money"><?= number_format($price * $quantity, 1); ?></span>
        </td>
        </tr>
      <?php endforeach ?>
    </tbody>
  </table>
</div>
<table class="table table-sm ms-auto" style="max-width: 320px">
  <tbody>
    <tr>
      <td><b>Total</b></td>
      <td class="text-end"><b class="money"><?= number_format($total, 2); ?></b></td>
    </tr>
    <tr>
      <td><b>VAT (<?= $settings['vat']; ?>%)</b></td>
      <td class="text-end"><b class="money"><?= number_format(($settings['vat'] * $total) / 100, 2); ?></b></td>
    </tr>
    <?php $grand = ($settings['vat'] * $total / 100) + $total; ?>
    <tr>
      <td><b>Grand Total</b></td>
      <td class="text-end"><b class="money"><?= number_format($grand, 2); ?></b></td>
    </tr>
  </tbody>
</table>
<table class="table table-borderless" id="table-2">
  <tbody class="text-nowrap">
    <tr>
      <td>Prepared By: <br><b><?= $_SESSION['prosc_name']; ?></b></td>
      <td class="text-end"><br><br><br></td>
    </tr>
    <tr>
      <td>Sign: _________________________________</td>
      <td class="text-end">Your Sign: _________________________________</td>
    </tr>
    <tr>
      <td style="color: #777;" colspan="2"><br><i>Printed: <b><?= date('d F, Y - h:ia', strtotime('+1 hour')); ?></b></i></td>
    </tr>
  </tbody>
</table>